<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly


if( ! class_exists( 'KANEWS_HELPER' ) ) {

	class KANEWS_HELPER {

    public static function body_classes($classes) {
      $classes[] = 'kanews-theme-by-kanthemes';

      if(kanews_get_option('navbar-sub-category') != false) {
        if(is_category()) {
          $category= get_category( get_query_var( 'cat' ), false );
          if($category->parent != 0)
          $category = get_category($category->category_parent, false);
          $categories = get_categories(
            array( 'parent' => $category->term_id )
          );
          $category= get_category( get_query_var( 'cat' ), false );
          if($categories)
          $classes[] = 'kanews-subnavbar-is-active';
        }
      }

      if(is_category()) {
        $sidebar = kanews_get_option('category-right-sidebar') ? kanews_get_option('category-right-sidebar') : false;
        
        if($sidebar != true) 
          $classes[] = 'kanews-cat-no-sidebar';
      }

      if(is_single()) {
        $category = KANEWS_WP_HELPER::primary_category_id(get_the_ID());
        $classes[] = 'category-'.$category;
      }

      if (is_singular() && kanews_get_option('single-layout-block') == 'box')
        $classes[] = 'single-layout-box';
      elseif(kanews_get_option('single-layout-block') == 'flat')
        $classes[] = 'single-layout-flat';
        
      return $classes;
    }

    public static function admin_scripts() {
      wp_enqueue_style( 'kanews-admin', KAN_TEMPLATE_URL. '/assets/css/admin.css', false, '1.0.0' );
      wp_enqueue_script( 'ptmcw-admin-js', KAN_TEMPLATE_URL . '/assets/js/mailchimp.js', array( 'jquery' ), 1523, true );
      wp_localize_script( 'ptmcw-admin-js', 'PTMCWAdminVars', array(
        'ajax_url'    => admin_url( 'admin-ajax.php' ),
        'ajax_nonce'  => wp_create_nonce( 'pt-mcw-ajax-verification' ),
        'text'        => array(
          'ajax_error'        => esc_html__( 'An error occurred while retrieving data via the AJAX request!', 'pt-mcw' ),
          'no_api_key'        => esc_html__( 'Please input the MailChimp API key!', 'pt-mcw' ),
          'incorrect_api_key' => esc_html__( 'This MailChimp API key is not formatted correctly, please copy the whole API key from the MailChimp dashboard!', 'pt-mcw' ),
        )
      ) );
    }

    public static function wp_head() {
      if (kanews_get_option('wp-head') == '')
      return;
      $out = kanews_get_option('wp-head');
      echo $out;
    }

    public static function wp_footer() {
      if (kanews_get_option('wp-footer') == '')
      return;
      $out = kanews_get_option('wp-footer');
      echo $out;
    }

    public static function excerpt_length( $length ) {
      return kanews_get_option('excerpt-length',$length);
    }

    // Back to Top
    public static function back_to_top() {
      if(kanews_get_option('back-to-top') == false)
      return false;

      echo '<a class="kanews-back-to-top"><i class="icon-caret"></i></a>';
    }

  }
  
  $KANEWS_HELPER = new KANEWS_HELPER();
}