<?php

defined( 'ABSPATH' ) || exit; // Exit if accessed directly


if( ! class_exists( 'KANEWS_HEADER' ) ) {

	class KANEWS_HEADER {

		function __construct() {
      // Templates
      add_action('kanews_header', array( $this, 'header' ));
      add_action('kanews_footer', array( $this, 'footer' ));

      // Home Builder
      add_action( 'kanews_page_builder_home', 'kanews_home_page_top', 15 );
      add_action( 'kanews_page_builder_home', 'kanews_home_page_content_start', 20 );
      add_action( 'kanews_page_builder_home', 'kanews_home_page_content', 25 );
      add_action( 'kanews_page_builder_home', 'kanews_home_page_sidebar', 30 );
      add_action( 'kanews_page_builder_home', 'kanews_home_page_content_end', 35 );
      add_action( 'kanews_page_builder_home', 'kanews_home_page_bottom', 40 );

      // Page Builder
      add_action( 'widgets_init', array( $this, 'page_sidebar' ) );
      add_action( 'widgets_init', array( $this, 'page_builder' ) );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_top', 15 );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_content_start', 20 );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_content', 25 );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_sidebar', 30 );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_content_end', 35 );
      add_action( 'kanews_page_builder_custom', 'kanews_custom_page_bottom', 40 );

      // Cat Builder
      add_action( 'widgets_init', array( $this, 'category_sidebars' ) );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_top', 15 );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_content_start', 20 );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_content', 25 );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_sidebar', 30 );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_content_end', 35 );
      add_action( 'kanews_page_builder_cat', 'kanews_cat_page_bottom', 40 );
    }

    function header() {
      // $layout   = (!empty(kanews_get_option('header-layout'))) ? kanews_get_option('header-layout') : 'style-1';
      get_template_part('template-parts/header/header-1');
    }

    function footer() {
      $layout   = (!empty(kanews_get_option('footer-layout'))) ? kanews_get_option('footer-layout') : 'style-1';
      switch($layout) {
        case 'style-1':
          get_template_part('template-parts/footer/footer-1');
          break;
      }
    }

    function category_sidebars() {
      $categories = kanews_get_option('category-sidebar2');
      if($categories) {
        foreach($categories as $cat_id) {
          // wp_die(print_r($categories));
          $cat = get_category_by_slug($cat_id);
          $cat_name = get_cat_name($cat->term_id);
          if($cat_name != '') {
            register_sidebar(
              array(
                'name'          => esc_html__( $cat_name.': Üst Tam Genişlik', 'kanews' ),
                'id'            => 'home-top-full-'.$cat_id,
                'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
            );
            register_sidebar(
              array(
                'name'          => esc_html__( $cat_name.': Sol Bölüm', 'kanews' ),
                'id'            => 'home-content-'.$cat_id,
                'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
        
            );
            register_sidebar(
              array(
                'name'          => esc_html__( $cat_name.': Sidebar', 'kanews' ),
                'id'            => 'home-sidebar-'.$cat_id,
                'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h5></div>',
              )
            );
        
            register_sidebar(
              array(
                'name'          => esc_html__( $cat_name.': Alt Tam Genişlik', 'kanews' ),
                'id'            => 'home-bottom-full-'.$cat_id,
                'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
            );
          }
        }
    
      }
    }

    function page_builder() {
      wp_reset_query();
      $query = new WP_Query( array(
        'post_type'  => 'any',
        'meta_key'   => '_wp_page_template',
        'meta_value' => 'inc/custom-page.php'
      ) );
      
      if ( $query->have_posts() ) {
        while ( $query->have_posts() ) : $query->the_post(); global $post;
          $sidebar = get_post_meta($post->ID, 'page_sidebar_status', true);
          if ($sidebar == 'on') {
            register_sidebar(
              array(
                'name'          => esc_html__( $post->post_title.': Üst Tam Genişlik', 'kanews' ),
                'id'            => 'home-top-full-'.$post->ID,
                'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
            );
            register_sidebar(
              array(
                'name'          => esc_html__( $post->post_title.': Sol Bölüm', 'kanews' ),
                'id'            => 'home-content-'.$post->ID,
                'before_widget' => '<div class="col"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
        
            );
            register_sidebar(
              array(
                'name'          => esc_html__( $post->post_title.': Sidebar', 'kanews' ),
                'id'            => 'home-sidebar-'.$post->ID,
                'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h5></div>',
              )
            );
        
            register_sidebar(
              array(
                'name'          => esc_html__( $post->post_title.': Alt Tam Genişlik', 'kanews' ),
                'id'            => 'home-bottom-full-'.$post->ID,
                'before_widget' => '<div class="col col-lg"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h4 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h4></div>',
              )
            );
          }
        endwhile;
      }

    }

    function page_sidebar() {
      wp_reset_query();
      $query = new WP_Query( array(
        'post_type'  => 'any',
        'meta_key'   => '_wp_page_template',
        'meta_value' => 'inc/custom-sidebar.php'
      ) );
      
      if ( $query->have_posts() ) {
        while ( $query->have_posts() ) : $query->the_post(); global $post;
          $sidebar = get_post_meta($post->ID, 'page_sidebar_status', true);
          if ($sidebar == 'on') {
            register_sidebar(
              array(
                'name'          => esc_html__( $post->post_title.': Sidebar', 'kanews' ),
                'id'            => 'home-sidebar-'.$post->ID,
                'before_widget' => '<div class="col-12"><section id="%1$s" class="kanews-section widget %2$s">',
                'after_widget'  => '</section></div>',
                'before_title'  => '<div class="kanews-section-heading"><h5 class="kanews-section-headline"><span>',
                'after_title'   => '</span></h5></div>',
              )
            );
          }
        endwhile;
      }

    }

  }
  
  $KANEWS_HEADER = new KANEWS_HEADER();
}