<?php 

if ( ! defined( 'ABSPATH' ) ) exit; # Exit if accessed directly

/*-----------------------------------------------------------------------------------*/
# Kanews: Admin Menü Oluştur
/*-----------------------------------------------------------------------------------*/
add_action( 'admin_menu', 'my_admin_menu' );
if ( ! function_exists( 'my_admin_menu' ) ) {
	function my_admin_menu() {
		
		$xml = get_latest_theme_version( NOTIFIER_CACHE_INTERVAL );
		if (
					isset( $xml->latest )
					&& version_compare( $xml->latest, KAN_THEME_VER, '>' )
				) {
			$title = 'Kanews <span class="update-plugins count-1"><span class="plugin-count">1</span></span>';
			$title2 = __('Güncellemeler', 'kanews-admin').' <span class="update-plugins count-1"><span class="plugin-count">1</span></span>';
		}
		else {
			$title = 'Kanews';
			$title2 = __('Güncellemeler', 'kanews-admin');
		}
		add_menu_page( __('Tema Ayarları', 'kanews-admin'), $title, 'manage_options', 'kanews-options', 'kanews_theme_option', ''.get_template_directory_uri().'/assets/img/kanthemes_favicon.png', 60  );
		add_submenu_page('kanews-options', __('Tema Ayarları', 'kanews-admin'), __('Tema Ayarları', 'kanews-admin'), 'manage_options', 'kanews-options', 'kanews_theme_option' );
		add_submenu_page('kanews-options', __('Kanews Temasına Hoşgeldiniz', 'kanews-admin'), __('Hoşgeldiniz', 'kanews-admin'), 'manage_options', 'kanews-welcome', 'kanews_welcome_message' );
		add_submenu_page('kanews-options', __('Güncellemeler', 'kanews-admin'), $title2, 'manage_options', 'kanews-update', 'kanews_update' );
		add_submenu_page('kanews-options', __('Demo Aktarıcı', 'kanews-admin'), __('Demo Aktarıcı', 'kanews-admin'), 'manage_options', 'kanews-import', 'kanews_import_data' );
		add_submenu_page('kanews-options', __('Destek Masası', 'kanews-admin'), __('Destek Masası', 'kanews-admin'), 'manage_options', 'https://www.kanthemes.com/tema/kanews', null );
	}
}

function add_item($admin_bar)  {
  $args = array(
      'id'        => 'kanews-theme-admin-bar', // Must be a unique name
      'title'     => '<img src="'.get_template_directory_uri().'/assets/img/kanthemes_favicon.png" width="12" height="12" style="width:18px!important;height:18px!important;vertical-align:-4px;margin-right:8px;"/>'.__('Kanews Ayarları', 'kanews-admin'), // Label for this item
      'href'      => get_admin_url() . 'admin.php?page=kanews-options',
  );
  $admin_bar->add_menu( $args);
  }
  add_action('admin_bar_menu', 'add_item', 900); // 10 = Position on the admin bar

/*-----------------------------------------------------------------------------------*/
# kanews: Admin Menü Tab
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_admin_tab' ) ) {
	function kanews_admin_tab($aktif1, $aktif2, $aktif3, $aktif4, $aktif5) { ?>
		<h2 class="nav-tab-wrapper kanews-nav-tab-wrapper wp-clearfix">
			<a href="<?php echo admin_url(); ?>admin.php?page=kanews-welcome" class="nav-tab <?php echo $aktif1; ?>"><?php _e('Hoş geldiniz', 'kanews-admin'); ?></a>
			<a href="<?php echo admin_url(); ?>admin.php?page=kanews-options" class="nav-tab <?php echo $aktif2; ?>"><?php _e('Tema Ayarları', 'kanews-admin'); ?></a>
			<a href="<?php echo admin_url(); ?>admin.php?page=kanews-license" class="nav-tab <?php echo $aktif3; ?>"><?php _e('Lisans Kontrolü', 'kanews-admin'); ?></a>
			<a href="<?php echo admin_url(); ?>admin.php?page=kanews-update" class="nav-tab <?php echo $aktif4; ?>"><?php _e('Güncellemeler', 'kanews-admin'); ?></a>
			<a href="<?php echo admin_url(); ?>admin.php?page=kanews-import" class="nav-tab <?php echo $aktif5; ?>"><?php _e('Demo Aktarıcı', 'kanews-admin'); ?></a>
			<a target="_blank" href="https://www.kanthemes.com/tema/kanews/" class="nav-tab"><?php _e('Destek Masası', 'kanews-admin'); ?></a>
		</h2>
		<?php 

		$xml = get_latest_theme_version( NOTIFIER_CACHE_INTERVAL ); // Get the latest remote XML file on our server
		if (
					isset( $xml->latest )
					&& version_compare( $xml->latest, KAN_THEME_VER, '>' )
				): ?>
		<br><div class="kanews-widgets-alert">

					<?php

					if ( isset( $xml->message ) && trim( $xml->message ) ) {
						echo '<strong>' . trim( $xml->message ) . '</strong><br />';
					}

					printf( __('<strong>%1$s</strong> temasının %2$s sürümü kurulu. <strong>%3$s</strong> sürümüne yükseltebilirsiniz. <a href="%4$s">Güncellemek için tıklayın.</a>', 'kanews-admin'),
						KAN_THEME_NAME,
						KAN_THEME_VER,
						trim( $xml->latest ),
						admin_url().'admin.php?page=kanews-update'
					);
					?>

				</div>
				<?php endif; ?>
	<?php }
}

/*-----------------------------------------------------------------------------------*/
# kanews: Tema Ayarları
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_theme_option' ) ) {
	function kanews_theme_option(){
		echo '<div class="wrap s-wrap"><h1>'.__('Tema Ayarları', 'kanews-admin').'</h1>';
		echo '<p>'.__('kanews temasını kendi zevkinize göre şekilendirmeye hemen başlayabilirsiniz', 'kanews-admin').'.</p>';
		echo '</div>';
		echo kanews_admin_tab(null, 'nav-tab-active', null, null, null);
	}
}

/*-----------------------------------------------------------------------------------*/
# Kanews: Hoşgeldiniz
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_welcome_message' ) ) {
	function kanews_welcome_message(){
		?>
		<div class="wrap s-wrap">
			<h1>
			<?php 
			printf( __('Kanews Wordpress Teması v%1$s', 'kanews-admin'),
      KAN_THEME_VER
			);
			?>
			</h1>
			<p class="about-text"><?php _e('Kanews Wordpress temasını tercih ettiğiniz için teşekkür ederiz, Kanews wordpress teması başarıyla kuruldu ve kullanımınıza hazır durumda!', 'kanews-admin'); ?></p>
			<?php kanews_admin_tab('nav-tab-active', null, null, null, null); ?>
			<div class="kanews-row">
				<div id="welcome-panel" class="welcome-panel">
					<div class="welcome-panel-content">
							<h2><?php _e('Kanews\'e Başlarken', 'kanews-admin'); ?></h2>
							<p class="about-description"><?php _e('Başlamanız için birkaç bağlantıyı bir araya getirdik:', 'kanews-admin'); ?></p>
						<div class="welcome-panel-column-container">
							<div class="welcome-panel-column">
								<h3><?php _e('Kurulum', 'kanews-admin'); ?></h3>
								<ul>
									<li><a href="<?php echo admin_url('edit.php?post_type=page'); ?>" class="welcome-icon welcome-edit-page"><?php _e('Gerekli Sayfaları Oluştur', 'kanews-admin'); ?></a></li>
									<li><a href="<?php echo admin_url('nav-menus.php'); ?>" class="welcome-icon welcome-edit-page"><?php _e('Menü Ayarlarını yap', 'kanews-admin'); ?></a></li>
									<li><a href="<?php echo admin_url('admin.php?page=kanews-options');?>" class="welcome-icon welcome-edit-page"><?php _e('Tema Ayarlarını Yap', 'kanews-admin'); ?></a></li>
									<li><a href="<?php echo admin_url('widgets.php');?>" class="welcome-icon welcome-edit-page"><?php _e('Bileşenleri Ayarla', 'kanews-admin'); ?></a></li>
									<li><a href="<?php echo admin_url('admin.php?page=kanews-options#tab=cron-job');?>" class="welcome-icon welcome-edit-page"><?php _e('Cron Job Ayarla', 'kanews-admin'); ?></a></li>
								</ul>
								<a class="button" style="margin-bottom:20px;margin-top:0;" href="<?php echo admin_url('admin.php?page=kanews-options');?>"><?php _e('Tema Ayarları', 'kanews-admin'); ?></a>
								<a class="button" style="margin-bottom:20px;margin-top:0;" href="https://www.kanthemes.com/tema/kanews/"><?php _e('Destek Masası', 'kanews-admin'); ?></a>
							</div>
							<div class="welcome-panel-column">
								<h3><?php _e('Hızlı Erişim', 'kanews-admin'); ?></h3>
								<ul>
									<li><a target="_blank" href="https://www.kanthemes.com/tema/kanews/guncellemeler/" class="welcome-icon welcome-add-page"><?php _e('Güncelleme Notları', 'kanews-admin'); ?></a></li>
									<li><a target="_blank" href="https://www.kanthemes.com/tema/kanews/" class="welcome-icon welcome-add-page"><?php _e('Destek Masası', 'kanews-admin'); ?></a></li>																				
									<li><a target="_blank" href="https://www.kanthemes.com/tema/kanews/dokumantasyon/" class="welcome-icon welcome-add-page"><?php _e('Dökümantasyon', 'kanews-admin'); ?></a></li>																				
									<li><a target="_blank" href="https://www.kanthemes.com/iletisim/" class="welcome-icon welcome-add-page"><?php _e('İletişim', 'kanews-admin'); ?></a></li>
								</ul>
							</div>
							<div class="welcome-panel-column welcome-panel-last">
								<h3><?php _e('Destek', 'kanews-admin'); ?></h3>
								<p class="welcome-icon welcome-learn-more" style="margin-right:10px"><a target="_blank" href="https://www.kanthemes.com/tema/kanews/dokumantasyon/"><?php _e('Çevrimiçi Dökümantasyon', 'kanews-admin'); ?></a></p>
								<p class="welcome-icon welcome-learn-more" style="margin-right:10px"><?php _e('İhtiyacınız olanı bulamadınız mı? O halde hemen bir destek talebi oluşturun.', 'kanews-admin'); ?> </p>
								<a class="button" style="margin-bottom:20px;margin-top:0;" href="https://www.kanthemes.com/destek/"><?php _e('Destek Talebi Oluştur', 'kanews-admin'); ?></a>
							
							</div>
						</div>
					</div>
				</div>

				<h3 style="padding-top:15px" class="headline">Bizden Haberler</h3>
				<p class="about-text">Kurumumuz ve tema ile alakalı son haberlerin yer aldığı bölümdür, sayfanın en üstünde bulunan versiyon numarasına göre haberi dikkate alıp almayacağını anlayabilirsiniz.</p>
				<iframe class="item-demo-iframe" frameborder="0" noresize="noresize" src="//kanthemes.com/files/kanews/duyuru.html"></iframe>
				
				<h3 style="padding-top:25px" class="headline">Yararlı Blog Yazıları</h3>
				<p class="about-text">Sitenizi geliştirmeye yönelik yararlı, bilgi verici blog yazılarımız.</p>
				<a style="margin-bottom:20px" href="https://bit.ly/34PKAWt" class="button">Tüm Yazılarımız</a>
				<iframe class="item-demo-iframe" frameborder="0" noresize="noresize" src="//kanthemes.com/files/blog.html"></iframe>
			</div>
			
			<a href="https://twitter.com/share?ref_src=twsrc%5Etfw" class="twitter-share-button" data-size="large" data-text="Kanews Wordpress temasını siteme kurdum, sizede tavsiye ederim." data-url="https://www.kanthemes.com/tanitim/kanews/" data-via="kanthemes" data-hashtags="kanewswptheme" data-show-count="false">Tweet</a><script async src="https://platform.twitter.com/widgets.js" charset="utf-8"></script>
			
		</div>
		<?php
	}
}

/*-----------------------------------------------------------------------------------*/
# Kanews: Güncellemeler
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_update' ) ) {
	function kanews_update(){
		?>
		<div class="wrap s-wrap">
			<h1><?php 
			printf( __('Güncellemeler v%1s', 'kanews-admin'),
      KAN_THEME_VER
			);
			?></h1>
		  <p class="about-text"><?php _e('Kanews\'in en son yayınlanan güncellemesini buradan indirip yükleyebilirsiniz.', 'kanews-admin'); ?></p>
			<?php kanews_admin_tab(null, null, null, 'nav-tab-active', null); ?>
			<div class="kanews-row">
				<h3><?php _e('Güncelleme Nasıl Yapılır', 'kanews-admin'); ?></h3>
				<ul>
					<li>1. <a href="https://www.kanthemes.com/hesabim/" target="_blank">Hesabım</a> sayfasına giderek giriş yapın.</li>
					<li>2. Sol sidebardan <strong>İndirmeler</strong> sekmesine tıklayın.</li>
					<li>2. <strong>İndirme</strong> sütununda bulunan indirme linkine tıklayarak tema dosyaları indirin.</li>
					<li>3. <a href="<?php echo admin_url(); ?>plugin-install.php?tab=plugin-information&plugin=easy-theme-and-plugin-upgrades&TB_iframe=true&width=600&height=550" target="_blank">Easy Theme and Plugin Upgrades</a> eklentisi sitenize kurup etkinleştirin.</li>
					<li>4. <strong>Wp admin > Görünüm</strong> sayfasını açın</li>
					<li>5. <strong>Yeni Ekle</strong> butonuna tıklayın açılan sayfadan <strong>Tema Yükle</strong> butonuna ardındada <strong>Dosya Seç</strong> butonuna tıklayın.</li>
					<li>6. Açılan ekranda indirdiğiniz <strong>kanews.zip</strong> dosyasını bulun ve seçin</li>
					<li>7. Son olarak <strong>Hemen Yükle</strong> butonuna tıklayın ve temayı güncelleyin.</li>
				</ul>
				
				<h3><?php _e('Yardımcı Linkler', 'kanews-admin'); ?></h3>
				<a href="https://www.kanthemes.com/tema/kanews/guncellemeler/" target="_blank" class="button">Güncelleme Notları</a>
				<a href="https://www.youtube.com/watch?v=kAala6AAY0g" target="_blank" class="button">Güncelleme Nasıl Yapılır?</a>
			</div>
		</div>
		<?php
	}
}

/*-----------------------------------------------------------------------------------*/
# Kanews: Import Data
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_import_data' ) ) {
	function kanews_import_data(){ ?>
		<div class="wrap s-wrap">

			<h1><?php _e('Kanews Demo Aktarıcı', 'kanews-admin');?></h1>
			<p class="about-text"><?php _e('Önceden hazırlanmış demo ayarlarından birini sitenize hızlı bir şekilde uygulayabilirsiniz.', 'kanews-admin');?></p>
			<?php kanews_admin_tab(null, null, null, null, 'nav-tab-active'); ?>
			<div class="kanews-row">
			
				<h3>1. <?php _e('Ayarları Kopyala', 'geo-admin');?></h3>
				<p><?php _e('Kullanmak istediğiniz demonun butonuna tıklayın, karşınıza çıkan sayfadaki kodu kopyalayın.', 'geo-admin'); ?></p>
				<a target="_blank" href="https://www.kanthemes.com/files/kanews/demo/1/options.txt" class="button"><?php _e('Genel Demo', 'geo-admin'); ?></a>

				<h3>2. <?php _e('Ayarları İçe Aktar', 'geo-admin'); ?></h3>
				<p><?php _e('Aşağıdaki  butona tıklayın ve açılan sayfada bulunan boş kutuya az önce kopyaladığınız kodları yapıştırop "İçe Aktar" butonuna tıklayın.', 'geo-admin'); ?></p>
				<a target="_blank" href="<?php echo admin_url('admin.php?page=kanews-options#tab=ice-aktar-disa-aktar'); ?>" class="button"><?php _e('İçe Aktar', 'geo-admin'); ?></a>

				<h3>3. <?php _e('Demo İçeriğini İçe Aktar', 'kanews-admin');?></h3>
				<a target="_blank" href="<?php echo admin_url('plugin-install.php?tab=plugin-information&amp;plugin=one-click-demo-import&amp;TB_iframe=true&amp;width=640&amp;height=500'); ?>" class="button">1a. <?php _e('Eklentiyi Kur ve Etkinleştir', 'kanews-admin'); ?></a>
				<a target="_blank" href="<?php admin_url(); ?>themes.php?page=pt-one-click-demo-import" class="button button-primary">1b. <?php _e('Demo İçeriğini İçe Aktarmak için Tıkla', 'kanews-admin'); ?></a>
			</div>
		</div>
		
	<?php }
}

/*-----------------------------------------------------------------------------------*/
# Kanews: Admin Yönlendir
/*-----------------------------------------------------------------------------------*/
function kanews_theme_active_redirect_page() {
	global $pagenow;
	if ( 'themes.php' == $pagenow && isset( $_GET['activated'] ) ) {
		if (kanews__get__status() == true) {
			wp_redirect(admin_url("admin.php?page=kanews-welcome"));
		} else {
			wp_redirect(admin_url("admin.php?page=kanews-license"));
		}
	}
}
add_action('admin_init', 'kanews_theme_active_redirect_page');

function ocdi_after_import_setup($selected_import) {
	$navbar = get_term_by( 'name', 'Navbar', 'nav_menu' );
	$footer = get_term_by( 'name', 'Footer', 'nav_menu' );
	$big_menu = get_term_by( 'name', 'Büyük Menü', 'nav_menu' );

	
	set_theme_mod( 'nav_menu_locations', array(
			'menu-1' => $navbar->term_id,
			'menu-2' => $navbar->term_id,
			'menu-3' => $footer->term_id,
			'big-menu' => $big_menu->term_id,
		)
	);
}
add_action( 'pt-ocdi/after_import', 'ocdi_after_import_setup' );

// One Click Demo Import
if ( ! function_exists( 'kanews_import_files' ) ) :
	function kanews_import_files() {
		return array(
			array(
				'import_file_name'           => __('Genel Demo', 'geo-admin'),
				// 'categories'                 => array( 'genel', 'Magazine' ),
				'import_file_url'            => 'https://www.kanthemes.com/files/kanews/demo/1/wordpress.xml',
				'import_widget_file_url'     => 'https://www.kanthemes.com/files/kanews/demo/1/widgets.wie',
				// 'import_customizer_file_url' => 'https://www.kanthemes.com/files/geoit/demo/genel/customizer.txt',
				'import_preview_image_url'   => 'https://www.kanthemes.com/wp-content/themes/kanthemes/dist/img/land/kanews/1.png',
				'preview_url'                => 'https://demo.kanthemes.com/kanews/',
			),
			
		);
	}
	add_filter( 'pt-ocdi/import_files', 'kanews_import_files' );
	endif;