<?php

/*-----------------------------------------------------------------------------------*/
# Site Logo
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_logo' ) ) {
	function kanews_logo() {
		$logo = [
			'logo' => kanews_get_option('logo'),
			'logo2' => kanews_get_option('logo-mobile'),
			'url'  => get_site_url(),
			'name' => get_bloginfo('name'),
		];
		echo '<div class="site-header-logo">';
			if ($logo['logo']['type'] == 'img' && $logo['logo']['logo-img']['url'] != '' ) {
					echo '<a href="'.$logo['url'].'" title="'.$logo['name'].'">';
						if($logo['logo2']['url'] != '')
							echo '<img class="logo-light" src="'.$logo['logo']['logo-img']['url'].'" srcset="'.$logo['logo2']['url'].' 2x, '.$logo['logo']['logo-img']['url'].' 1x" alt="'.$logo['logo']['logo-img']['alt'].'" width="'.$logo['logo']['logo-img']['width'].'" height="'.$logo['logo']['logo-img']['height'].'" />';
						else
							echo '<img class="logo-light" src="'.$logo['logo']['logo-img']['url'].'" alt="'.$logo['logo']['logo-img']['alt'].'" width="'.$logo['logo']['logo-img']['width'].'" height="'.$logo['logo']['logo-img']['height'].'" />';
					echo '</a>';
			}
			else {
					if($logo['logo']['logo-text'] != '') 
						echo '<a class="site-logo-text" href="'.$logo['url'].'" title="'.$logo['logo']['logo-text'].'">'.$logo['logo']['logo-text'].'</a>';
					else 
						echo '<a class="site-logo-text" href="'.$logo['url'].'" title="'.$logo['name'].'">'.$logo['name'].'</a>';
			}
		echo '</div>';
	}
}

/*-----------------------------------------------------------------------------------*/
# Site Footer Logo
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_footer_logo' ) ) {
	function kanews_footer_logo() {
		$logo = [
			'logo' => kanews_get_option('logo-2'),
			'url'  => get_site_url(),
			'name' => get_bloginfo('name'),
		];
		echo '<div class="site-footer-logo">';
			if ($logo['logo']['type'] == 'img' && $logo['logo']['logo-img']['url'] != '' ) {
					echo '<a href="'.$logo['url'].'" title="'.$logo['name'].'"><img src="'.$logo['logo']['logo-img']['url'].'" alt="'.$logo['logo']['logo-img']['alt'].'" width="'.$logo['logo']['logo-img']['width'].'" height="'.$logo['logo']['logo-img']['height'].'" /></a>';
			}
			else {
					if($logo['logo']['logo-text'] != '') {
						echo '<a class="site-logo-text" href="'.$logo['url'].'" title="'.$logo['logo']['logo-text'].'">'.$logo['logo']['logo-text'].'</a>';
					} else {
						echo '<a class="site-logo-text" href="'.$logo['url'].'" title="'.$logo['name'].'">'.$logo['name'].'</a>';
					}
			}
		echo '</div>';
	}
}

/*-----------------------------------------------------------------------------------*/
# Sosyal Hesaplar
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_social_links' ) ) {
	function kanews_social_links($class = '') {
		$social = [
			'links'  => kanews_get_option('social-links'),
		];

		if($social['links']) {
			echo '<div class="site-social-links '.$class.'"><ul class="d-flex">';
			foreach($social['links'] as $link) {
				if ($link['url'] != '' && $link['icon'] != '') {
					echo '<li><a title="'.$link['title'].'" href="'.$link['url'].'"><i class="'.$link['icon'].'"></i></a></li>';
				}
			}
			echo '</ul></div>';
		}
  }
}

/*-----------------------------------------------------------------------------------*/
# Big Menu
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_header_big_menu' ) ) {
	function kanews_header_big_menu() {
		if (kanews_get_option('big-menu') == false)
		return;
		
		echo '<div id="site-menu-block" class="hidden-mobile"><div class="container"><div class="row">';
		if ( has_nav_menu( 'big-menu' ) ) :
			wp_nav_menu( array(
				'theme_location' => 'big-menu',
				'menu_class'     => 'site-menu-block',
				'depth'     		 => '2',
				'container'      => false,
			));
		else: ?>
			<ul class="d-flex"><li><a href="<?php echo admin_url( 'nav-menus.php' ); ?>"><?php esc_html_e( 'Menü Oluştur', 'kanews' ); ?></a></li></ul>
		<?php endif;
		echo '</div></div></div>';
	}
}
# Big Menu Btn
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_header_big_menu_btn' ) ) {
	function kanews_header_big_menu_btn() {
		if (kanews_get_option('big-menu') == false)
		return;
		
		echo '<button class="site-drawer-menu-btn hidden-mobile" data-toggle="site-menu-block"><i class="icon-menu icon-4x"></i></button>';
	}
}


/*-----------------------------------------------------------------------------------*/
# Breaking News
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_breaking_news_ticker' ) ) {
	function kanews_breaking_news_ticker($title, $query, $control, $date, $sortby = '') {
		if ($query->have_posts()) {
			echo '<div class="kanews-ticker-wrapper"><div class="row">';

				if ($title != '') 
					echo '<div class="col-auto pr-0"><div class="kanews-ticker-heading"><span>'.$title.'</span></div></div>';


					if (isset($control))
						echo '<div class="kanews-ticker-control pl-0 col-auto hidden-mobile"><button class="kanews-ticker-prev"><i class="icon-arrow icon-180deg"></i></button><button class="kanews-ticker-next"><i class="icon-arrow"></i></button></div>';
				
					echo '<div class="kanews-ticker col pl-0"><ul>';
						while($query->have_posts()): $query->the_post(); global $post;
							if($sortby == 'post-modified' || $sortby == 'modified')
							$time = get_post_modified_time('G:i');
							else
							$time = get_the_time('G:i');
							$date = ($date == true) ? '<span class="kanews-ticker-date hidden-mobile">'.$time.' </span>' : '';
							echo '<li><a href="'.get_the_permalink($post->ID).'">'.$date.' <h3 class="kanews-ticker-title">'.get_the_title($post->ID).'</h3></a></li>';
						endwhile;
					echo '</ul></div>';

			echo '</div></div>';
		} else {
			echo esc_html__( 'Haber bulanamadı.', 'kanews' );
		}
	}
}

/*-----------------------------------------------------------------------------------*/
# Search Form
/*-----------------------------------------------------------------------------------*/
function kanews_header_search_form($type) {
	$option = [
		'switch' => $type,
		'text'   => kanews_translate('search-form-text',  esc_html__( 'Aramak istediğiniz kelimeyi yazın..', 'kanews' ))
	];
	$form = '';
	if ($option['switch'] == 'style1' ) {
		$form = '<form role="search" method="get" class="site-header-search-form" action="' . esc_url( home_url( '/' ) ) . '">
			<input type="text" placeholder="' . $option['text'] .'" value="' . get_search_query() . '" name="s" />
			<button type="submit"><span class="icon-search"></span></button>
		</form>';
	} elseif($option['switch'] == 'style2' ) {
		$form = '<div id="site-header-search" class="hidden-mobile"> <button class="header-btn-icon" data-toggle="site-header-search-wrapper"><i class="icon-search icon-2x"></i></button>
		<div id="site-header-search-wrapper" class="is-hidden"><form role="search" method="get" class="site-header-search-form" action="' . esc_url( home_url( '/' ) ) . '">
		<input type="text" placeholder="' . $option['text'] .'" value="' . get_search_query() . '" name="s" />
		<button type="submit"><span class="icon-search icon-2x"></span></button>
		</form></div></div>';
	}
	echo $form;
}

/*-----------------------------------------------------------------------------------*/
# Header Action Button
/*-----------------------------------------------------------------------------------*/
function kanews_header_action_btn() {
	$option = kanews_get_option('action-items');
	$option2 = kanews_get_option('action-button');
	if ($option == '' || $option2 == false)
	return;
	
	echo '<div class="header-btn-icon site-header-action" data-toggle="site-header-action-content"><i class="icon-grid icon-3x"></i>';
	echo '<div id="site-header-action-content"><div class="site-header-action-wrapper kanews-scroll"><div class="site-header-action-btn-group">';
	foreach($option as $item) {
		switch($item) {
			case 'breaking-news':
				$page_id = kanews_get_option('action-item-breaking-news-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
					echo '<div class="site-header-action-icon bg-danger"><i class="icon-bolt icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Son Dakika', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'covid':
				$page_id = kanews_get_option('action-item-covid-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
					echo '<div class="site-header-action-icon bg-dark"><i class="icon-covid icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Covid 19', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'currencies':
				$page_id = kanews_get_option('action-item-currencies-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
					echo '<div class="site-header-action-icon bg-success"><i class="icon-money icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Döviz Kurları', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'cryptocurrency':
				$page_id = kanews_get_option('action-item-cryptocurrency-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-warning"><i class="icon-bitcoin icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Kripto Paralar', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'weather':
				$page_id = kanews_get_option('action-item-weather-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-info"><i class="icon-weather icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Hava Durumu', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'standings':
				$page_id = kanews_get_option('action-item-standings-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-primary"><i class="icon-standings icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Puan Durumları', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'newspaper':
				$page_id = kanews_get_option('action-item-newspaper-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-dark"><i class="icon-newspaper icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Gazeteler', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'live':
				$page_id = kanews_get_option('action-item-live-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-success"><i class="icon-live icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Canlı Tv', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
			case 'traffic':
				$page_id = kanews_get_option('action-item-traffic-page');
				$page_link = ($page_id != '') ? get_page_link($page_id) : '#';
				echo '<a href="'.$page_link.'" class="site-header-action-btn">';
					echo '<div class="site-header-action-btn-wrapper">';
						echo '<div class="site-header-action-icon bg-dark"><i class="icon-traffic icon-3x"></i></div>';
						echo '<div class="site-header-action-name">'.esc_html__( 'Yol Durumu', 'kanews' ).'</div>';
					echo '</div>';
				echo '</a>';
			break;
		}
	}
	echo '</div></div></div></div>';
}

/*-----------------------------------------------------------------------------------*/
# Post Thumbnail : Manset
/*-----------------------------------------------------------------------------------*/
function kanews_manset_thumbnail($image_src) {
	$lazy = kanews_get_option('lazy');
	if ($lazy != true) {
		echo '<div class="kanews-slide-thumb"><img width="'.$image_src[1].'" height="'.$image_src[2].'" src="'.$image_src[0].'"  alt="manset" /></div>';
	} else {
		echo '<div class="kanews-slide-thumb"><img width="'.$image_src[1].'" height="'.$image_src[2].'" class="kanews-lazy" src="'.kanews_lazy_link().'" data-src="'.$image_src[0].'"  alt="manset" /></div>';
	}
}

/*-----------------------------------------------------------------------------------*/
# Post Thumbnail
/*-----------------------------------------------------------------------------------*/
function kanews_post_thumbnail($size, $class, $href = false) {
	if ( post_password_required() || is_attachment() || ! has_post_thumbnail() ) {
		return;
	}

	if ( $href == false ) :
		?>

		<div class="<?php echo $class; ?>">
			<?php kanews_post_format(); ?>
			<?php the_post_thumbnail($size); ?>
		</div>

	<?php else : ?>

		<a class="<?php echo $class; ?>" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1">
			<?php
				the_post_thumbnail(
					$size,
					array(
						'alt' => the_title_attribute(
							array(
								'echo' => false,
							)
						),
					)
				);
			?>
		</a>

		<?php
	endif; // End is_singular().
}

/*-----------------------------------------------------------------------------------*/
# Post Featured
/*-----------------------------------------------------------------------------------*/
function kanews_post_featured($pid) {
	if(get_field("video_embed")): ?>
		<div class="kanews-video embed-container">
			<?php the_field('video_embed'); ?>
		</div>
	<?php else: ?>
		<?php if(get_post_meta($pid, 'show_post_thumbnail', true ) == 'on' ): ?>
      <?php kanews_post_thumbnail('kanews-post-0', 'kanews-article-thumbnail', false); ?>
    <?php elseif(get_post_meta( $pid, 'show_post_thumbnail', true ) != 'off' && kanews_get_option('show-post-thumbnail') != false  ): ?>
      <?php kanews_post_thumbnail('kanews-post-0', 'kanews-article-thumbnail', false); ?>
    <?php endif; ?>
  <?php endif;
}

/*-----------------------------------------------------------------------------------*/
# Read More
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_post_format' ) ) {
	function kanews_post_format() { ?>
		<?php $format = get_post_format(); if (false === $format) $format = 'standard'; ?>
		<?php if ($format == 'video') : ?>
			<div class="kanews-post-format"><i class="icon-video"></i></div>
		<?php elseif ($format == 'gallery') : ?>
			<div class="kanews-post-format"><i class="icon-gallery"></i></div>
		<?php endif; ?>
	<?php }
}

/*-----------------------------------------------------------------------------------*/
# Read More
/*-----------------------------------------------------------------------------------*/
function kanews_read_more() {
	return '<a class="kanews-read-more" href="'.get_the_permalink().'">'.esc_html__( 'Haberi Oku', 'kanews' ).'</a>';
}

/*-----------------------------------------------------------------------------------*/
# Add Bookmark
/*-----------------------------------------------------------------------------------*/
function kanews_add_bookmark() {
	$pid = get_the_ID();
	$default_options = (kanews_get_option('post-bookmark') == false) ? false : true;
	$single_options = get_post_meta( $pid, 'show_post_bookmark', true );
	if($default_options != false && $single_options != 'off' )
		echo kanews_bookmark_button($pid);
}

/*-----------------------------------------------------------------------------------*/
# Get Primary Category
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_primary_category' ) ) {
	function kanews_primary_category($id, $style = '') {
		$class = 'kanews-category';
		$category = KANEWS_WP_HELPER::primary_category_id($id);

		if(kanews_get_option('cat-links') == true)
		return false;

		if($id == '')
		return;

		$link			  = get_category_link( $category);
		$name			  = get_cat_name( $category);

		if ($style == '')
		$cat   = '<a class="'.$class.' kanews-category-'.$category.'" href="'. esc_url( $link ) .'">'. $name .'</a>';
		else
		$cat   = '<a class="kanews-category kanews-category-'.$category.'" href="'. esc_url( $link ) .'">'. $name .'</a>';

		return $cat;

	}
}

/*-----------------------------------------------------------------------------------*/
# Get Primary Category
/*-----------------------------------------------------------------------------------*/
function kanews_user_avatar($author, $size, $lazy = '') {
	$out = '';
	$nick = get_the_author_meta('user_nicename', $author);
	$avatar = get_user_meta( $author, 'basic_user_avatar', true );
	if (empty($avatar)) {
		$avatar = get_avatar_url($author, array("size" => $size));
	} else {
		if (!empty($avatar[$size])) {
			$avatar = $avatar[$size];
		} else {
			$avatar = $avatar['full'];
		}
	}
	if(kanews_get_option('lazy') != false && $lazy != 'disable') {
		$out = '<div class="author-avatar"><img width="'.$size.'" height="'.$size.'" class="kanews-lazy" alt="'.$nick.'_avatar" data-src="'.$avatar.'" src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAAAEAAAABCAYAAAAfFcSJAAAADUlEQVR42mPk5ODkAQAAZAAoQWYOjQAAAABJRU5ErkJggg=="></div>';
	} else {
		$out = '<div class="author-avatar">'.get_avatar( $author, $size ).'</div>';
	}
	return $out;
}

/*-----------------------------------------------------------------------------------*/
# Widget Title
/*-----------------------------------------------------------------------------------*/
function kanews_widget_title($title, $tag = 'h4', $class = '') {
	if (empty($title))
	return;
	return '<div class="kanews-section-heading '.$class.'"><'.$tag.' class="kanews-section-headline"><span>'.$title.'</span></'.$tag.'></div>';
}

/*-----------------------------------------------------------------------------------*/
# Archives Pagination
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_pagination' ) ) {
	function kanews_pagination() {
		$pagination_type = (!empty(kanews_get_option('archives-pagination'))) ? kanews_get_option('archives-pagination') : 'classic';
		if ($pagination_type == 'classic') {
			echo '<div class="navigation pagination">';
				echo '<ul class="nav-links">';
					if(get_previous_posts_link())
					echo '<span class="page-numbers prev">'.get_previous_posts_link().'</span>';
					if(get_next_posts_link())
					echo '<span class="page-numbers next">'.get_next_posts_link().'</span>';
				echo '</ul>';
			echo '</div>';
		} elseif ($pagination_type == 'infinite' || $pagination_type == 'button') {
			$next_link = get_next_posts_link(__('Sonra'));
			if($next_link): ?>
			<div hidden>
				<div class="kanews_pagination_prev"><?php previous_posts_link( 'Önceki' ); ?></div>
				<div class="kanews_pagination_next"><?php next_posts_link( 'Sonraki'); ?></div>
			</div>
			<div id="load-more-posts-button-wrapper">
				<div style="display:none" class="page-load-status">
					<div class="loader-ellips infinite-scroll-request">
						<svg version="1.1" id="loader-1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="40px" height="40px" viewBox="0 0 40 40" enable-background="new 0 0 40 40" xml:space="preserve"> <path opacity="0.2" fill="#000" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634 c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"/> <path fill="#000" d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z"> <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 20 20" to="360 20 20" dur="0.5s" repeatCount="indefinite"/> </path> </svg>
					</div>
					<p class="infinite-scroll-last"><?php _e('Daha fazla gösterilecek yazı bulunamadı!', 'kanews'); ?></p>
					<p class="infinite-scroll-error"><?php _e('Tekrar deneyiniz.', 'kanews'); ?></p>
				</div>
				<?php if($pagination_type == 'button'): ?>
					<div class="col-8 col-md-6 m-auto"><button class="kanews-btn kanews-btn-block kanews-btn-sm kanews-btn-o" kanews-data-load-more-button><?php _e('Daha Fazla Yükle', 'kanews'); ?></button></div>
				<?php endif; ?>
			</div>
			<?php endif;
		} else {
			the_posts_pagination( array(
				'prev_text'          => '<i class="icon-arrow"></i>',
				'next_text'          => '<i class="icon-arrow icon-90deg"></i>',
				'mid_size' => 5,
			) );
		}
	}
}

/*-----------------------------------------------------------------------------------*/
# Post Date
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_posted_on' ) ) :
	function kanews_posted_on() {
		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

		$time_string = sprintf(
			$time_string,
			esc_attr( get_the_date( DATE_W3C ) ),
			esc_html( get_the_date('j F Y, H:i') )
		);

		$posted_on = sprintf(
			/* translators: %s: post date. */
			esc_html_x( 'Yayınlanma: %s', 'post date', 'kanews' ),
			$time_string
		);

		echo '<span class="posted-on">' . $posted_on . '</span>';
	}
endif;

/*-----------------------------------------------------------------------------------*/
# Post Update Date
/*-----------------------------------------------------------------------------------*/
function kanews_post_updated() {
	if ( get_the_time( 'U' ) !== get_the_modified_time( 'U' ) ) {
		$time_string = '<time class="entry-update-date updated" datetime="%1$s">%3$s, %2$s</time>';
		$time_string = sprintf(
			$time_string,
			esc_attr( get_the_modified_date( DATE_W3C ) ),
			esc_html( get_the_modified_date('H:i') ),
			esc_html( get_the_modified_date('j F Y') )
		);
		$posted_on = sprintf(
			/* translators: %s: post date. */
			esc_html_x( 'Güncelleme: %s', 'post date', 'kanews' ),
			$time_string
		);
		echo '<span class="updated-on">' . $posted_on . '</span>';
	}
}

/*-----------------------------------------------------------------------------------*/
# Post Author
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_posted_by' ) ) :
	function kanews_posted_by($with = '') {
		$byline = '<span class="author vcard"><a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '">' . esc_html( get_the_author() ) . '</a></span>';
		$avatar = '';

		if($with != '')
		$avatar = kanews_user_avatar( get_the_author_meta( 'ID' ), 32);

		echo '<span class="kanews-post-author">' . $avatar . $byline . '</span>';
	}
endif;

/*-----------------------------------------------------------------------------------*/
# Post Reading Time
/*-----------------------------------------------------------------------------------*/
if ( ! function_exists( 'kanews_post_reading_time' ) ) {
	function kanews_post_reading_time($post) {

		$content = $post->post_content;
		$word = str_word_count(strip_tags($content));
		$m = floor($word / 200);
		$s = floor($word % 200 / (200 / 60));
		echo '<span class="kanews-reading-time">';
			echo __('Okuma süresi:', 'geo');
			echo ' '.$m . __('dk', 'minutes', 'kanews') . ($m == 1 ? '' : '') . ', ' . $s . __('sn', 'seconds', 'kanews') . ($s == 1 ? '' : '');
		echo '</span>';
	}
	
}
/*-----------------------------------------------------------------------------------*/
# Post Share
/*-----------------------------------------------------------------------------------*/
function kanews_post_share($pid) { 
	$links = (kanews_get_option('post-share')) ? kanews_get_option('post-share') : array('facebook', 'twitter','whatsapp', 'email'); 
	$style = (kanews_get_option('post-share-style')) ? kanews_get_option('post-share-style') : '1'; 
	$image = wp_get_attachment_image_src(get_post_thumbnail_id($pid), 'full');
	if($style == '5')
	return;
	?>
	<div class="kanews-article-share style-<?php echo $style; ?>">
		<ul class="d-flex">
			<?php foreach($links as $link ): ?>
				<?php switch($style) {
					case '1':
						$class = 'color-'.$link.' border-'.$link.' hover-'.$link.'';
						break;
					case '5':
						$class = 'color-'.$link.' border-'.$link.' hover-'.$link.'';
						break;
					default:
						$class = 'bg-'.$link.'';
					break;
				} ?>
				<?php if ($link == 'facebook'): ?>
						<li><a class="<?php echo $class; ?>" rel="external noopener" target="_blank" href="//www.facebook.com/sharer/sharer.php?u=<?php echo get_permalink($pid); ?>"><i class="icon-facebook"></i></a></li>
					<?php endif;?>
					
					<?php if ($link == 'twitter'): ?>
						<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//www.twitter.com/intent/tweet?text=<?php echo get_the_title($pid); ?> via <?php echo get_permalink($pid); ?>"><i class="icon-twitter"></i></a></li>
					<?php endif;?>
				
					<?php if ($link == 'whatsapp'): ?>
						<li><a class="<?php echo $class; ?>" href="whatsapp://send?text=<?php echo get_permalink($pid); ?>"><i class="icon-whatsapp"></i></a></li>
					<?php endif; ?>
					
					<?php if ($link == 'pinterest'): ?>
						<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//pinterest.com/pin/create/button/?url=&media=<?php echo $image[0]; ?>&description=<?php echo get_the_title($pid); ?>&url=<?php echo get_permalink($pid); ?>"><i class="icon-pinterest"></i></a></li>
					<?php endif; ?>
					
					<?php if ($link == 'telegram'): ?>
						<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//t.me/share/url?url=<?php echo get_the_permalink($pid); ?>&text=<?php echo get_the_title($pid); ?>"><i class="icon-telegram"></i></a></li>
					<?php endif; ?>
					
					<?php if ($link == 'email'): ?>
						<li><a class="bg-dark border-dark hover-dark" href="mailto:e-posta@domain.com?subject=<?php echo get_the_title($pid); ?>&body=<?php echo get_permalink($pid); ?>"><i class="icon-envelope"></i></a></li>
					<?php endif; ?>
			<?php endforeach; ?>
		</ul>
	</div>
	<?php	
}
/*-----------------------------------------------------------------------------------*/
# Post Share
/*-----------------------------------------------------------------------------------*/
function kanews_post_share_2($pid) { 
	$links = (kanews_get_option('post-share')) ? kanews_get_option('post-share') : array('facebook', 'twitter','whatsapp', 'email'); 
	$style = (kanews_get_option('post-share-style')) ? kanews_get_option('post-share-style') : '1'; 
	$image = wp_get_attachment_image_src(get_post_thumbnail_id($pid), 'full');
	$desktop = '';
	if($style != '5' ):
		$desktop = ' hidden-desktop';
	else: ?>
		<div style="cursor:pointer" class="kanews-label <?php echo $desktop; ?>" data-toggle="kanews-popup-share-<?php echo $pid; ?>"><i class="icon-share"></i> <?php esc_html_e( 'Paylaş', 'kanews' ); ?></div>
	<?php endif; ?>
	<div id="kanews-popup-share-<?php echo $pid; ?>" class="kanews-popup <?php echo $desktop; ?>">
		<div class="kanews-popup-close" data-toggle="kanews-popup-share-<?php echo $pid; ?>"></div>
		<div class="kanews-popup-content">
		<div class="kanews-popup-close-btn" data-toggle="kanews-popup-share-<?php echo $pid; ?>"><i class="icon-close"></i></div>
			<h4 class="kanews-popup-title"><?php esc_html_e( 'Bu Yazıyı Paylaş', 'kanews' ); ?></h4>
			<ul class="d-flex kanews-popup-share">
				<?php foreach($links as $link ): ?>
					<?php $class = 'bg-'.$link; ?>
					<?php if ($link == 'facebook'): ?>
							<li><a class="<?php echo $class; ?>" rel="external noopener" target="_blank" href="//www.facebook.com/sharer/sharer.php?u=<?php echo get_permalink($pid); ?>"><i class="icon-facebook"></i></a></li>
						<?php endif;?>
						
						<?php if ($link == 'twitter'): ?>
							<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//www.twitter.com/intent/tweet?text=<?php echo get_the_title($pid); ?> via <?php echo get_permalink($pid); ?>"><i class="icon-twitter"></i></a></li>
						<?php endif;?>
					
						<?php if ($link == 'whatsapp'): ?>
							<li><a class="<?php echo $class; ?>" href="whatsapp://send?text=<?php echo get_permalink($pid); ?>"><i class="icon-whatsapp"></i></a></li>
						<?php endif; ?>
						
						<?php if ($link == 'pinterest'): ?>
							<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//pinterest.com/pin/create/button/?url=&media=<?php echo $image[0]; ?>&description=<?php echo get_the_title($pid); ?>&url=<?php echo get_permalink($pid); ?>"><i class="icon-pinterest"></i></a></li>
						<?php endif; ?>
						
						<?php if ($link == 'telegram'): ?>
							<li><a target="_blank" rel="external noopener" class="<?php echo $class; ?>" href="//t.me/share/url?url=<?php echo get_the_permalink($pid); ?>&text=<?php echo get_the_title($pid); ?>"><i class="icon-telegram"></i></a></li>
						<?php endif; ?>
						
						<?php if ($link == 'email'): ?>
							<li><a class="bg-dark" href="mailto:e-posta@domain.com?subject=<?php echo get_the_title($pid); ?>&body=<?php echo get_permalink($pid); ?>"><i class="icon-envelope"></i></a></li>
						<?php endif; ?>
				<?php endforeach; ?>
			</ul>
			<h6 class="kanews-popup-subtitle"><?php esc_html_e( 'veya linki kopyala', 'kanews' ); ?></h6>
			<div class="kanews-copy-link">
				<input type="text" readonly="" id="input-url-<?php echo $pid; ?>" value="<?php the_permalink( $pid ); ?>">
				<button role="tooltip" data-microtip-position="top" aria-label="<?php esc_html_e( 'Linki Kopyala', 'kanews' ); ?>" type="button" onclick="copy('input-url-<?php echo $pid; ?>')"><?php esc_html_e( 'Kopyala', 'kanews' ); ?></button>
			</div>
		</div>
	</div>
	<?php	
}

/*-----------------------------------------------------------------------------------*/
# Breadcrumb
/*-----------------------------------------------------------------------------------*/
function kanews_breadcrumb($pid = '') {
	$default_option = (kanews_get_option('show-post-breadcrumb') == false) ? false : true;
	$single_option  = get_post_meta( $pid, 'show_post_breacrumb', true );
	
	if ($single_option == 'off' || $default_option == false)
	return;
	elseif($single_option == 'default' && $default_option == false)
	return;
	
	$home_url = home_url(); 
	$home_text = (kanews_get_option('post-breacrumb-main-title') != '' ) ? kanews_get_option('post-breacrumb-main-title')  : esc_html__( 'Haberler', 'kanews' ); 
	
	echo "<div class='kanews-breadcrumb'><ol class='d-flex flex-wrap'>";
		echo '<li>';
			echo '<a class="kanews-label kanews-label-sm" itemprop="item" href="'.$home_url.'">';
				echo '<span itemprop="name">'.$home_text.'</span>';
			echo '</a>';
			echo '<meta itemprop="position" content="1" />';
		echo '</li>';

		if (is_category() || is_single()) {
			$category = KANEWS_WP_HELPER::primary_category_id($pid);
			$output = '';
			if($category){
				echo '<li>
					<a class="kanews-label kanews-label-sm" href="'.get_category_link( $category ).'" itemprop="item"><span itemprop="name">'.get_cat_name($category).'</span></a>
				</li>';
			}
		} elseif (is_page()) {
			echo '<li>';
			the_title( '<a class="kanews-label kanews-label-sm" href="' . esc_url( get_permalink() ) . '" itemprop="item"><span itemprop="name">', '</span></a>' );
			echo '</li>';
		}
	echo "</ol></div>";
}

/*-----------------------------------------------------------------------------------*/
# Get Post Tags
/*-----------------------------------------------------------------------------------*/
function kanews_post_tags($pid = '') {
	$default_options = (kanews_get_option('show-post-tags') == false) ? false : true;
	$single_options = get_post_meta( $pid, 'show_post_tags', true );
	if($single_options == 'on' )
	the_tags('', '', '');
	elseif($single_options != 'off' && $default_options != false  )
	the_tags('',' ','');
}

/*-----------------------------------------------------------------------------------*/
# Post Like Button
/*-----------------------------------------------------------------------------------*/
function kanews_like_button($pid = '', $is_comment = NULL) {
	$default_options = (kanews_get_option('post-like') == false) ? false : true;
	$single_options = get_post_meta( $pid, 'show_post_like', true );
	if(has_post_format( 'video', $pid ) && $is_comment == NULL)
	return;
	if($default_options != false && $single_options != 'off' )
	echo get_simple_likes_button( $pid, $is_comment );
}

/*-----------------------------------------------------------------------------------*/
# Video Time
/*-----------------------------------------------------------------------------------*/
function kanews_video_time($pid = '') {
	if($pid == '')
	$pid = get_the_ID();
	$single_options = get_post_meta( $pid, 'video_time', true );
	if(has_post_format( 'video') && $single_options)
	echo '<span class="kanews-video-time">'.$single_options.'</span>';
}
/*-----------------------------------------------------------------------------------*/
# Header Covid
/*-----------------------------------------------------------------------------------*/
function kanews_header_covid() {
	$args = array(
		'timeout' => '30',
		'sslverify' => false
	);
	$response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/covid/covid19.json", $args);
	$body = wp_remote_retrieve_body( $response );
	$data = json_decode($body, true);

	if(empty($data))
	return false;

	$turkey_data = $data[204];
	foreach($data as $key => $global) {
		if($global['country'] == 'Turkey')
		$turkey_data = $data[$key];
	}
	$out = '';
	$out .= '<div class="site-currencies site-header-covid"><div class="d-flex">';
		$out .= '<div data-microtip-position="bottom" role="tooltip" aria-label="Açıklanan Tüm Covid Veriler" class="site-currencies-item bg-danger border-danger"><i style="color:#fff" class="icon-covid icon-3x"></i></div>';
		$out .= '<div class="site-currencies-item color-info border-info"><span class="site-currencies-name">'.esc_html__( 'Test', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['tests'], 0,",",".").'</span></div>';
		$out .= '<div class="site-currencies-item color-danger border-danger"><span class="site-currencies-name">'.esc_html__( 'Vaka', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['cases'], 0,",",".").'</span></div>';
		$out .= '<div class="site-currencies-item color-success border-success"><span class="site-currencies-name">'.esc_html__( 'İyileşen', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['recovered'], 0,",",".").'</span></div>';
		$out .= '<div class="site-currencies-item color-dark border-dark"><span class="site-currencies-name">'.esc_html__( 'Ölen', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['deaths'], 0,",",".").'</span></div>';
	$out .= '</div></div>';

	return $out;
}

/*-----------------------------------------------------------------------------------*/
# Header Covid Daily
/*-----------------------------------------------------------------------------------*/
function kanews_header_covid_daily() {
	$args = array(
		'timeout' => '30',
		'sslverify' => false
	);
	$response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/covid/covid19.json", $args);
	$body = wp_remote_retrieve_body( $response );
	$data = json_decode($body, true);

	if(empty($data))
	return false;

	$turkey_data = $data[204];
	foreach($data as $key => $global) {
		print_r($global);
		if($global['country'] == 'Turkey')
		$turkey_data = $data[$key];
	}

	$out .= '<div class="site-currencies site-header-covid"><div class="d-flex">';
		$out .= '<div data-microtip-position="bottom" role="tooltip" aria-label="Bugün Açıklanan Covid 19 Verileri" class="site-currencies-item bg-danger border-danger"><i style="color:#fff" class="icon-covid icon-3x"></i></div>';
		$out .= '<div class="site-currencies-item color-danger border-danger"><span class="site-currencies-name">'.esc_html__( 'Vaka', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['todayCases'], 0,",",".").'</span></div>';
		$out .= '<div class="site-currencies-item color-success border-success"><span class="site-currencies-name">'.esc_html__( 'İyileşen', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['todayRecovered'], 0,",",".").'</span></div>';
		$out .= '<div class="site-currencies-item color-dark border-dark"><span class="site-currencies-name">'.esc_html__( 'Ölen', 'kanews' ).'</span><span class="site-currencies-value">'.number_format($turkey_data['todayDeaths'], 0,",",".").'</span></div>';
	$out .= '</div></div>';

	return $out;
}