<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_ads');
function kanews_widget_ads() {
	register_widget('kanews_widget_class_ads');
}

// Widget Class
class kanews_widget_class_ads extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_ads kanews-section-flat kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_ads');
		parent::__construct('kanews_widget_ads', ''.KAN_THEME_NAME .' - '.__( "Reklam" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{

		extract($args);
		$title = apply_filters('widget_title', $instance['title'] );
		$adtitle = $instance['adtitle'] ? $instance['adtitle'] : '';
		$grid = $instance['grid'] ? $instance['grid'] : 'col-12';
    $code = $instance['code'] ? $instance['code'] : '';
    
    $sidebar = explode('-', $args['id']);
		if($sidebar[1] == 'sidebar')
    $grid = 'col-12';
    
    if($code && kanews_insights_control(get_current_user_id()) != true ) {
      echo '<div class="'.$grid.'">';
        echo '<div id="'.$this->id.'" class="kanews-section '.$this->widget_options['classname'].'">';
          echo kanews_widget_title($title);
          echo '<div class="kanews-banner kanews-banner-widget">';
            echo $adtitle ? '<div class="kanews-banner-title"><span>'.$adtitle.'</span></div>' : '';
            echo $code;
          echo '</div>';
        echo '</div>';
      echo '</div>';
    }

	}
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['adtitle'] = $new_instance['adtitle'];
		$instance['code'] = $new_instance['code'];
		$instance['grid'] = $new_instance['grid'];

		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 
			'adtitle' => esc_html__( 'Reklam', 'kanews' ), 
			'grid' => 'col-12', 
			'code' => '', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
    </p>
    
		<p>
			<label for="<?php echo $this->get_field_id( 'adtitle' ); ?>"><?php _e( 'Reklam Başlığı' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'adtitle' ); ?>" name="<?php echo $this->get_field_name( 'adtitle' ); ?>" value="<?php echo $instance['adtitle']; ?>" class="widefat" type="text" />
      <small><?php esc_html_e( 'İçeriği reklam olduğunu belirtmek için bir yazı.', 'kanews' ); ?></small>
    </p>

    <p class="kanews-grid-select-x">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
				<option value='col-12 col-md' <?php if ('col-12 col-md' == $instance['grid']) echo 'selected="selected"'; ?>>Sığdır</option>
			</select>
		</p> 

		<p>
			<label for="<?php echo $this->get_field_id( 'code' ); ?>"><?php _e( 'Reklam Kodu' , 'kanews') ?></label>
			<textarea id="<?php echo $this->get_field_id( 'code' ); ?>" name="<?php echo $this->get_field_name( 'code' ); ?>" class="widefat" type="text"><?php if( ! empty( $instance['code'] ) ) echo esc_textarea( $instance['code'] ); ?></textarea>
		</p>


		
	<?php }
}
?>