<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_carousel_1');
function kanews_widget_carousel_1() {
	register_widget('kanews_widget_class_carousel_1');
}

// Widget Class
class kanews_widget_class_carousel_1 extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_carousel_1 kanews-section-flat kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_carousel_1');
		parent::__construct('kanews_widget_carousel_1', ''.KAN_THEME_NAME .' - '.__( "Carousel" , 'kanews' ).' #1' , $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);

		$title = apply_filters('widget_title', $instance['title'] );

		$categories = (isset($instance['categories'])) ? $instance['categories'] : '';
    $variations = (isset($instance['variations'])) ? $instance['variations'] : '1';
    $offset = (isset($instance['offset'])) ? $instance['offset'] : '';
    $date_range = (isset($instance['date_range']) && $instance['date_range'] != '0') ? $instance['date_range'] : null;
    $sortby = (isset($instance['sortby'])) ? $instance['sortby'] : 'recent';
		$postnotin = !empty($instance['postnotin']) ? $instance['postnotin'] : '';
		$format = !empty($instance['format']) ? $instance['format'] : '';

		if($format == '' || $format == '0') {
			$operator = 'OR';
			$formats = array('post-format-video', 'post-format-gallery');
		} elseif($format == 'video') {
			$formats = array('post-format-video');
			$operator = 'IN';
		} elseif($format == 'photo') {
			$formats = array('post-format-gallery');
			$operator = 'IN';
		}

		$show_post_cat = !isset($instance['show_post_cat']) ? false : true;
		
    $exlude = '';
		if(is_singular()) {
			global $post;
			if($post) 
			$exlude = $post->ID.',';
			$exlude .= $postnotin;
			$excludeposts = explode(",", $exlude);
		}elseif(is_category()) {
			if(get_query_var( 'cat' ))
			$categories = get_query_var( 'cat' );
			$excludeposts = explode(",", $postnotin);
		} else {
			$excludeposts = explode(",", $postnotin);
		}
    
    $thumb = 'kanews-manset-4';
    $thumb_small = 'kanews-post-1';
    $posts = '5';

    $sidebar = explode('-', $args['id']);
		if($sidebar[1] == 'content') {
      $thumb = 'kanews-manset-3';
      $thumb_small = 'kanews-post-1';
      $posts = '7';
		}

		if($date_range == 'year') {
			$date_range = array(
				array(
					'after' => '1 year ago',
				)
			);
		}
		elseif($date_range == 'month') {
			$date_range = array(
				array(
					'after' => '1 month ago',
				)
			);
		}
		elseif($date_range == 'week') {
			$date_range = array(
				array(
					'after' => '1 week ago',
				)
			);
		}
		elseif($date_range == 'day') {
			$date_range = array(
				array(
					'after' => '1 day ago',
				)
			);
		} else {
			$date_range = '';
		}

		if($sortby == 'commented') {
			$kanews_query = new WP_Query(
				array( 
					'showposts' => $posts, 
					'cat' => $categories,
					'orderby' => 'comment_count',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'random') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'orderby' => 'rand',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-monthly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count_monthly',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-weekly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count_weekly',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-daily') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count_daily',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-modified') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'orderby' => 'modified',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		else {
			$kanews_query = new WP_Query(
				array( 
					'cat'          => $categories,
					'showposts'    => $posts,
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
    }

    if ($kanews_query->have_posts()) : ?>
			<div class="col-12"> 
				<div class="kanews-section kanews-carousel-<?php echo $sidebar[1]; ?> <?php echo $this->widget_options['classname']; ?>">
				<?php 
				if(!empty($title)) {
					echo $before_title;
						echo $title; 
					echo $after_title;
				} ?>
          <div class="kanews-carousel-row kanews-carousel-variation-<?php echo $variations; ?>">
            <?php $counter=0; while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; $counter++; ?>
              <?php if($counter == 1): ?>
                <div class="kanews-carousel-item kanews-carousel-big-item">
                  <div class="kanews-post-overlay">
                    <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>	
                    <?php kanews_post_thumbnail($thumb, 'kanews-post-thumb'); ?>
                    <?php do_action('kanews_post_hook'); ?>
                    <div class="kanews-post-content">
                      <?php if($show_post_cat != false): ?>
                        <?php echo kanews_primary_category($post->ID); ?>
                      <?php endif; ?>
                      <?php the_title( sprintf( '<h3 class="kanews-post-headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                    </div>
                  </div>
                </div>
              <?php else: ?>
                <div class="kanews-carousel-item kanews-carousel-small-item">
                  <div class="kanews-post-overlay">
                    <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>	
                    <?php kanews_post_thumbnail($thumb_small, 'kanews-post-thumb'); ?>
                    <?php do_action('kanews_post_hook'); ?>
                    <div class="kanews-post-content">
                      <?php if($show_post_cat != false): ?>
                        <?php echo kanews_primary_category($post->ID); ?>
                      <?php endif; ?>
                      <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                    </div>
                  </div>
                </div>
              <?php endif; ?>
            <?php endwhile; ?>
          </div>
        </div>
			</div>
		<?php endif; ?>
	<?php }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['variations'] = $new_instance['variations'];

		$instance['categories'] = $new_instance['categories'];
		$instance['posts'] = $new_instance['posts'];
		$instance['offset'] = $new_instance['offset'];
		$instance['sortby'] = $new_instance['sortby'];
    $instance['postnotin'] = $new_instance['postnotin'];
		$instance['date_range'] = $new_instance['date_range'];
		$instance['format'] = $new_instance['format'];

		$instance['show_post_cat'] = $new_instance['show_post_cat'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 
			'variations' => '1', 

			'postnotin'  => '', 
			'categories' => 'all', 
			'posts' 		 => 8, 
			'sortby' 		 => 'recent', 
			'date_range' => '0', 
			'format' 		 => '0',
			'offset' 		 => '0',

			'show_post_cat'     => 'on',
			
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<h3 class="kanews-widgets-title"><?php _e('Genel Ayarlar', 'kanews'); ?></h3>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
    </p>
    
    <p>
			<label for="<?php echo $this->get_field_id('variations'); ?>"><?php _e( 'Varyasyon' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('variations'); ?>" name="<?php echo $this->get_field_name('variations'); ?>" class="widefat" style="width:100%;">
				<option value='1' <?php if ('1' == $instance['variations']) echo 'selected="selected"'; ?>>1</option>
				<option value='2' <?php if ('2' == $instance['variations']) echo 'selected="selected"'; ?>>2</option>
				<option value='3' <?php if ('3' == $instance['variations']) echo 'selected="selected"'; ?>>3</option>
			</select>
    </p>


		<div class="kanews-admin-divider"></div>
		<h3 class="kanews-widgets-title"><?php _e('Sıralama Ayarları', 'kanews'); ?></h3>
		
    <p>
			<label for="<?php echo $this->get_field_id('sortby'); ?>"><?php _e( 'Göre Sırala' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('sortby'); ?>" name="<?php echo $this->get_field_name('sortby'); ?>" class="widefat" style="width:100%;">
				<option value='recent' <?php if ('recent' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Yayınlanma Tarihine Göre' , 'kanews') ?></option>
				<option value='post-modified' <?php if ('post-modified' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Düzenlenme Tarihine Göre' , 'kanews') ?></option>
				<option value='post-viewed' <?php if ('post-viewed' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Tüm Zamanlar', 'kanews'); ?></option>
				<option value='post-viewed-monthly' <?php if ('post-viewed-monthly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Aylık', 'kanews'); ?></option>
				<option value='post-viewed-weekly' <?php if ('post-viewed-weekly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Haftalık', 'kanews'); ?></option>
				<option value='post-viewed-daily' <?php if ('post-viewed-daily' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Günlük', 'kanews'); ?></option>
				<option value='commented' <?php if ('commented' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Yorum Yapılan' , 'kanews') ?></option>
				<option value='random' <?php if ('random' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Rastgele' , 'kanews') ?></option>
			</select>
    </p>
    
    <p>
			<label for="<?php echo $this->get_field_id('date_range'); ?>"><?php _e( 'Zaman Aralığı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('date_range'); ?>" name="<?php echo $this->get_field_name('date_range'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Zaman Aralığı Seçin' , 'kanews') ?></option>
				<option value='day' <?php if ('day' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Gün' , 'kanews') ?></option>
				<option value='week' <?php if ('week' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Hafta' , 'kanews') ?></option>
				<option value='month' <?php if ('month' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Ay' , 'kanews') ?></option>
				<option value='year' <?php if ('year' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Yıl' , 'kanews') ?></option>
			</select>
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e( 'Kategori' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e( 'Tüm Kategoriler' , 'kanews') ?></option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('format'); ?>"><?php _e( 'Yazı Formatı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('format'); ?>" name="<?php echo $this->get_field_name('format'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Yazı Formatı Seçin' , 'kanews') ?></option>
				<option value='video' <?php if ('video' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Video' , 'kanews') ?></option>
				<option value='photo' <?php if ('photo' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Fotoğraf' , 'kanews') ?></option>
			</select>
		</p>

    <p>
      <label for="<?php echo $this->get_field_id('offset'); ?>"><?php _e( 'Offset' , 'kanews') ?></label>
      <i style="margin-bottom:5px;display:block;"><?php _e('Örneğin 1 girerseniz birinci yazıyı hariç tutar, ikinci yazıdan başlar.', 'kanews'); ?></i>
      <input type="number" class="widefat" id="<?php echo $this->get_field_id('offset'); ?>" name="<?php echo $this->get_field_name('offset'); ?>" value="<?php echo $instance['offset']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'postnotin' ); ?>"><?php _e( 'Hariç Tutulan Yazılar' , 'kanews') ?></label>
			<br><i><?php _e('Yazı idlerini virgül ile ayırarak girin', 'kanews'); ?></i>
			<input id="<?php echo $this->get_field_id( 'postnotin' ); ?>" name="<?php echo $this->get_field_name( 'postnotin' ); ?>" value="<?php echo $instance['postnotin']; ?>" class="widefat" type="text" />
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e( 'Yazı Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>

		<div class="kanews-admin-divider"></div>

		<h3 class="kanews-widgets-title"><?php _e('İçerik Ayarları', 'kanews'); ?></h3>


		<p>
      <label for="<?php echo $this->get_field_id('show_post_cat'); ?>"><?php _e( 'Yazı Kategorisini Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_cat'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_cat'); ?>" name="<?php echo $this->get_field_name('show_post_cat'); ?>" /> 
		</p>
		

		
	<?php }
}