<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_manset_2');
function kanews_widget_manset_2() {
	register_widget('kanews_widget_class_manset_2');
}

// Widget Class
class kanews_widget_class_manset_2 extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_manset_2 kanews-section-flat');
		$control_ops = array('id_base' => 'kanews_widget_manset_2');
		parent::__construct('kanews_widget_manset_2', ''.KAN_THEME_NAME .' - '.__( "Manşet" , 'kanews' ).' #2' , $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
		$grid = (!empty($instance['grid'])) ? $instance['grid'] : 'col-12';
		$title = apply_filters('widget_title', $instance['title'] );

		$show_nav = isset($instance['show_nav']) ? true : false;
		$autoplay = isset($instance['autoplay']) ? true : false;
		$thumb = !empty($instance['thumb']) ? $instance['thumb'] : 'bottom';

		$categories = (isset($instance['categories'])) ? $instance['categories'] : '';
		$tags = (isset($instance['tags'])) ? $instance['tags'] : '';
    $posts = (isset($instance['posts'])) ? $instance['posts'] : '5';
    $offset = (isset($instance['offset'])) ? $instance['offset'] : '';
    $date_range = (isset($instance['date_range']) && $instance['date_range'] != '0') ? $instance['date_range'] : null;
    $sortby = (isset($instance['sortby'])) ? $instance['sortby'] : 'recent';
		$postnotin = !empty($instance['postnotin']) ? $instance['postnotin'] : '';
		
		$show_post_detail = isset($instance['show_post_detail']) ? 'on' : 'off';
		$show_post_read_more = isset($instance['show_post_read_more']) ? 'on' : 'off';
		$show_post_cat = isset($instance['show_post_cat']) ? 'on' : 'off';
		$show_post_excerpt = isset($instance['show_post_excerpt']) ? 'on' : 'off';
		$html = isset($instance['html']) ? $instance['html'] : 'h3';

    $exlude = '';
		if(is_singular()) {
			global $post;
			if($post) 
			$exlude = $post->ID.',';
			$exlude .= $postnotin;
			$excludeposts = explode(",", $exlude);
		}elseif(is_category()) {
			if(get_query_var( 'cat' ))
			$categories = get_query_var( 'cat' );
			$excludeposts = explode(",", $postnotin);
		} else {
			$excludeposts = explode(",", $postnotin);
		}
		
		if($date_range == 'year') {
			$date_range = array(
				array(
					'after' => '1 year ago',
				)
			);
		}
		elseif($date_range == 'month') {
			$date_range = array(
				array(
					'after' => '1 month ago',
				)
			);
		}
		elseif($date_range == 'week') {
			$date_range = array(
				array(
					'after' => '1 week ago',
				)
			);
		}
		elseif($date_range == 'day') {
			$date_range = array(
				array(
					'after' => '1 day ago',
				)
			);
		} else {
			$date_range = '';
		}

		if($sortby == 'commented') {
			$kanews_query = new WP_Query(
				array( 
					'showposts' => $posts, 
					'cat' => $categories,
					'orderby' => 'comment_count',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'tag'	=> $tags,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'random') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'orderby' => 'rand',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'tag'	=> $tags,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'post-viewed') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count',
					'orderby' => 'meta_value_num',
					'tag'	=> $tags,
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'post-viewed-monthly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count_monthly',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'tag'	=> $tags,
					'date_query'   => $date_range,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'post-viewed-weekly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'meta_key' => 'post_views_count_weekly',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'tag'	=> $tags,
					'date_query'   => $date_range,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'post-viewed-daily') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'tag'	=> $tags,
					'meta_key' => 'post_views_count_daily',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset
				)
			);
		}
		elseif($sortby == 'post-modified') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'showposts' => $posts,
					'orderby' => 'modified',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'tag'	=> $tags,
					'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		else {
			$kanews_query = new WP_Query(
				array( 
					'cat'          => $categories,
					'showposts'    => $posts,
					'tag'	=> $tags,
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'offset' => $offset
				)
			);
		}

		$thumbnail = 'kanews-manset-2';
		$col_thumb = 'col-12 no-gutter';
		$col = 'col-12 no-gutter';

		$sidebar = explode('-', $args['id']);
		if($sidebar[2] == 'full') {
			switch($grid) {
				case 'col-12':
					if ($thumb == 'off' || $thumb == 'bottom') {
						$thumbnail = 'kanews-manset-1'; $meta = 'manset_1';
					} else {
						$thumbnail = 'kanews-manset-2'; $meta = 'manset_2';
					}
				break;
				case 'col-12 col-lg-8':
					$thumbnail = 'kanews-manset-3'; $meta = 'manset_3';
				break;
				case 'col-12 col-lg-6':
					$thumbnail = 'kanews-manset-4'; $meta = 'manset_4';
				break;
				case 'col-12 col-lg-4':
					$thumbnail = 'kanews-manset-5'; $meta = 'manset_5';
				break;
			}
		}
		elseif($sidebar[1] == 'content') {
			$thumbnail = 'kanews-manset-3'; $meta = 'manset_3';
			$col = 'col-12 no-gutter';
		}
		elseif($sidebar[1] == 'sidebar') {
			$thumbnail = 'kanews-manset-5'; $meta = 'manset_5';
			$col = 'col-12 no-gutter';
		}


		$slick_options = [
			'slidesToShow'  => 1,
			'arrows'			  => $show_nav,
			'dots'			    => true,
			'autoplay'			=> $autoplay
		];


		?>

		<?php if ($kanews_query->have_posts()) :?>
			<div class="<?php echo $grid; ?>"> 
				<div id="<?php echo $this->id; ?>" class="kanews-section <?php echo $this->widget_options['classname']; ?>">
					<?php 
					if(!empty($title)) {
						echo $before_title;
							echo $title; 
						echo $after_title;
					} ?>
					<div class="kanews-slider-global kanews-slider-2 kanews-slider-number-<?php echo $thumb; ?>" >
						<div class="<?php echo $col; ?>">
							<div id="kanews-slider-<?php echo $this->number; ?>" class="kanews-slider-wrapper <?php echo $thumbnail; ?>" data-slick='<?php echo wp_json_encode( $slick_options ); ?>'>
								<?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; $manset_detail = get_post_meta($post->ID, 'post_detail', true); $manset_thumb = wp_get_attachment_image_src(get_post_meta($post->ID, $meta, true), 'full'); ?>
									<div class="kanews-slide">
										<?php if($manset_thumb != ''): ?>
											<?php kanews_manset_thumbnail($manset_thumb); ?>
										<?php else: $manset_detail = false;  ?>
											<?php kanews_post_thumbnail($thumbnail, 'kanews-slide-thumb'); ?>
										<?php endif; ?>
										<div class="kanews-slide-item">
											<?php do_action('kanews_post_hook'); ?>
											<a href="<?php the_permalink(); ?>" class="kanews-slide-href"></a>
											<?php if($show_post_detail != 'off' &&  $manset_detail != true): ?>
												<div class="kanews-slide-overlay"></div>
												<div class="kanews-slide-content">
													<?php if($show_post_cat != 'off'): ?>
														<?php echo kanews_primary_category($post->ID); ?>
													<?php endif; ?>
													<?php the_title( sprintf( '<'.$html.' class="kanews-slide-headline truncate truncate-3"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></'.$html.'>' ); ?>
													<?php if(get_post_meta( $post->ID, 'kanews_post_excerpt', true ) && $show_post_excerpt == 'on'): ?>
														<p class="kanews-slide-spot truncate truncate-1"><?php echo get_post_meta( $post->ID, 'kanews_post_excerpt', true ); ?></p>
													<?php endif; ?>
													<?php if($show_post_read_more != 'off'): ?>
														<?php echo kanews_read_more(); ?>
													<?php endif; ?>
												</div>
											<?php endif; ?>
										</div>
									</div>
								<?php endwhile; ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		<?php endif; ?>
	<?php }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['grid'] = $new_instance['grid'];
		$instance['html'] = $new_instance['html'];
		$instance['thumb'] = $new_instance['thumb'];
		$instance['show_nav'] = $new_instance['show_nav'];
		$instance['autoplay'] = $new_instance['autoplay'];

		$instance['categories'] = $new_instance['categories'];
		$instance['tags'] = $new_instance['tags'];
		$instance['posts'] = $new_instance['posts'];
		$instance['offset'] = $new_instance['offset'];
		$instance['sortby'] = $new_instance['sortby'];
    $instance['postnotin'] = $new_instance['postnotin'];
		$instance['date_range'] = $new_instance['date_range'];

		$instance['show_post_detail'] = $new_instance['show_post_detail'];
		$instance['show_post_cat'] = $new_instance['show_post_cat'];
		$instance['show_post_read_more'] = $new_instance['show_post_read_more'];
		$instance['show_post_excerpt'] = $new_instance['show_post_excerpt'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 
			'grid' => 'col-12', 
			'html' => 'h3', 

			'thumb' 	 => 'bottom',
			'show_nav' => 'on',
			'autoplay' => 'off',

			'postnotin'  => '', 
			'categories' => 'all', 
			'tags' => '', 
			'posts' 		 => 10, 
			'sortby' 		 => 'recent', 
			'date_range' => '0', 
			'offset' 		 => '0',

			'show_post_detail' 		=> 'on',
			'show_post_cat' 	 		=> 'on',
			'show_post_read_more' => 'off',
			'show_post_excerpt' => 'off',
			
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<h3 class="kanews-widgets-title"><?php _e('Genel Ayarlar', 'kanews'); ?></h3>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p class="kanews-grid-select">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
			</select>
		</p> 
		<p>
			<label for="<?php echo $this->get_field_id('html'); ?>"><?php _e( 'Yazı Başlığı HTML Tag' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('html'); ?>" name="<?php echo $this->get_field_name('html'); ?>" class="widefat" style="width:100%;">
				<option value='div' <?php if ('div' == $instance['html']) echo 'selected="selected"'; ?>>Div</option>
				<option value='h1' <?php if ('h1' == $instance['html']) echo 'selected="selected"'; ?>>H1</option>
				<option value='h2' <?php if ('h2' == $instance['html']) echo 'selected="selected"'; ?>>H2</option>
				<option value='h3' <?php if ('h3' == $instance['html']) echo 'selected="selected"'; ?>>H3</option>
				<option value='h4' <?php if ('h4' == $instance['html']) echo 'selected="selected"'; ?>>H4</option>
				<option value='h5' <?php if ('h5' == $instance['html']) echo 'selected="selected"'; ?>>H5</option>
				<option value='h6' <?php if ('h6' == $instance['html']) echo 'selected="selected"'; ?>>H6</option>
			</select>
		</p> 

		<p>
			<label for="<?php echo $this->get_field_id('thumb'); ?>"><?php _e( 'Numaraların Konumu' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('thumb'); ?>" name="<?php echo $this->get_field_name('thumb'); ?>" class="widefat" style="width:100%;">
				<option value='left' <?php if ('left' == $instance['thumb']) echo 'selected="selected"'; ?>><?php esc_html_e( 'Sol Yanında', 'kanews' );?></option>
				<option value='right' <?php if ('right' == $instance['thumb']) echo 'selected="selected"'; ?>><?php esc_html_e( 'Sağ Yanında', 'kanews' );?></option>
				<option value='bottom' <?php if ('bottom' == $instance['thumb']) echo 'selected="selected"'; ?>><?php esc_html_e( 'Aşağıda', 'kanews' );?></option>
			</select>
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_nav'); ?>"><?php _e( 'Navigasyon Butonları' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_nav'], 'on'); ?> id="<?php echo $this->get_field_id('show_nav'); ?>" name="<?php echo $this->get_field_name('show_nav'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('autoplay'); ?>"><?php _e( 'Otomatik Oynat' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['autoplay'], 'on'); ?> id="<?php echo $this->get_field_id('autoplay'); ?>" name="<?php echo $this->get_field_name('autoplay'); ?>" /> 
		</p>

		<div class="kanews-admin-divider"></div>
		<h3 class="kanews-widgets-title"><?php _e('Sıralama Ayarları', 'kanews'); ?></h3>
		
    <p>
			<label for="<?php echo $this->get_field_id('sortby'); ?>"><?php _e( 'Göre Sırala' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('sortby'); ?>" name="<?php echo $this->get_field_name('sortby'); ?>" class="widefat" style="width:100%;">
				<option value='recent' <?php if ('recent' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Yayınlanma Tarihine Göre' , 'kanews') ?></option>
				<option value='post-modified' <?php if ('post-modified' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Düzenlenme Tarihine Göre' , 'kanews') ?></option>
				<option value='post-viewed' <?php if ('post-viewed' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Tüm Zamanlar', 'kanews'); ?></option>
				<option value='post-viewed-monthly' <?php if ('post-viewed-monthly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Aylık', 'kanews'); ?></option>
				<option value='post-viewed-weekly' <?php if ('post-viewed-weekly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Haftalık', 'kanews'); ?></option>
				<option value='post-viewed-daily' <?php if ('post-viewed-daily' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Günlük', 'kanews'); ?></option>
				<option value='commented' <?php if ('commented' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Yorum Yapılan' , 'kanews') ?></option>
				<option value='random' <?php if ('random' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Rastgele' , 'kanews') ?></option>
			</select>
    </p>
    
    <p>
			<label for="<?php echo $this->get_field_id('date_range'); ?>"><?php _e( 'Zaman Aralığı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('date_range'); ?>" name="<?php echo $this->get_field_name('date_range'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Zaman Aralığı Seçin' , 'kanews') ?></option>
				<option value='day' <?php if ('day' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Gün' , 'kanews') ?></option>
				<option value='week' <?php if ('week' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Hafta' , 'kanews') ?></option>
				<option value='month' <?php if ('month' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Ay' , 'kanews') ?></option>
				<option value='year' <?php if ('year' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Yıl' , 'kanews') ?></option>
			</select>
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e( 'Kategori' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e( 'Tüm Kategoriler' , 'kanews') ?></option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('tags'); ?>"><?php _e( 'Etiketler' , 'kanews') ?></label>
			<br><i><?php _e('Etiket isimlerini virgül ile ayırarak girin', 'kanews'); ?></i>
      <input type="text" class="widefat" id="<?php echo $this->get_field_id('tags'); ?>" name="<?php echo $this->get_field_name('tags'); ?>" value="<?php echo $instance['tags']; ?>" />
		</p>

    <p>
      <label for="<?php echo $this->get_field_id('offset'); ?>"><?php _e( 'Offset' , 'kanews') ?></label>
      <i style="margin-bottom:5px;display:block;"><?php _e('Örneğin 1 girerseniz birinci yazıyı hariç tutar, ikinci yazıdan başlar.', 'kanews'); ?></i>
      <input type="number" class="widefat" id="<?php echo $this->get_field_id('offset'); ?>" name="<?php echo $this->get_field_name('offset'); ?>" value="<?php echo $instance['offset']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'postnotin' ); ?>"><?php _e( 'Hariç Tutulan Yazılar' , 'kanews') ?></label>
			<br><i><?php _e('Yazı idlerini virgül ile ayırarak girin', 'kanews'); ?></i>
			<input id="<?php echo $this->get_field_id( 'postnotin' ); ?>" name="<?php echo $this->get_field_name( 'postnotin' ); ?>" value="<?php echo $instance['postnotin']; ?>" class="widefat" type="text" />
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e( 'Yazı Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>
		
		<div class="kanews-admin-divider"></div>

		<h3 class="kanews-widgets-title"><?php _e('İçerik Ayarları', 'kanews'); ?></h3>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_detail'); ?>"><?php _e( 'Yazı Detaylarını Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_detail'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_detail'); ?>" name="<?php echo $this->get_field_name('show_post_detail'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_excerpt'); ?>"><?php _e( 'Yazı Açıklamasını Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_excerpt'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_excerpt'); ?>" name="<?php echo $this->get_field_name('show_post_excerpt'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_cat'); ?>"><?php _e( 'Yazı Kategorisini Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_cat'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_cat'); ?>" name="<?php echo $this->get_field_name('show_post_cat'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_read_more'); ?>"><?php _e( 'Devamını Oku Butonunu Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_read_more'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_read_more'); ?>" name="<?php echo $this->get_field_name('show_post_read_more'); ?>" /> 
		</p>
		
	<?php }
}
?>