<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_posts_x');
function kanews_widget_posts_x() {
	register_widget('kanews_widget_class_posts_x');
}

// Widget Class
class kanews_widget_class_posts_x extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_posts_x kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_posts_x');
		parent::__construct('kanews_widget_posts_x', ''.KAN_THEME_NAME .' - '.__( "Son Dakika Sayfası" , 'kanews' ) , $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);

		$title = apply_filters('widget_title', $instance['title'] );


		$categories = (isset($instance['categories'])) ? $instance['categories'] : '';
		$tags = (isset($instance['tags'])) ? $instance['tags'] : '';
    $posts = (isset($instance['posts'])) ? $instance['posts'] : '5';
    $date_range = (isset($instance['date_range']) && $instance['date_range'] != '0') ? $instance['date_range'] : null;
    $sortby = (isset($instance['sortby'])) ? $instance['sortby'] : 'recent';
		$postnotin = !empty($instance['postnotin']) ? $instance['postnotin'] : '';
		$format = !empty($instance['format']) ? $instance['format'] : '';

		$dark_mode = !isset($instance['dark_mode']) ? 'light-mode' : 'dark-mode';

		if($format == '' || $format == '0') {
			$operator = 'OR';
			$formats = array('post-format-video', 'post-format-gallery');
		} elseif($format == 'video') {
			$formats = array('post-format-video');
			$operator = 'IN';
		} elseif($format == 'photo') {
			$formats = array('post-format-gallery');
			$operator = 'IN';
		}

		$show_post_cat = !isset($instance['show_post_cat']) ? false : true;
		$show_post_excerpt = !isset($instance['show_post_excerpt']) ? false : true;
		
    $exlude = '';
		if(is_singular()) {
			global $post;
			if($post) 
			$exlude = $post->ID.',';
			$exlude .= $postnotin;
			$excludeposts = explode(",", $exlude);
		}elseif(is_category()) {
			if(get_query_var( 'cat' ))
			$categories = get_query_var( 'cat' );
			$excludeposts = explode(",", $postnotin);
		} else {
			$excludeposts = explode(",", $postnotin);
		}

		if($date_range == 'year') {
			$date_range = array(
				array(
					'after' => '1 year ago',
				)
			);
		}
		elseif($date_range == 'month') {
			$date_range = array(
				array(
					'after' => '1 month ago',
				)
			);
		}
		elseif($date_range == 'week') {
			$date_range = array(
				array(
					'after' => '1 week ago',
				)
			);
		}
		elseif($date_range == 'day') {
			$date_range = array(
				array(
					'after' => '1 day ago',
				)
			);
		} else {
			$date_range = '';
		}

    $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;

		if($sortby == 'commented') {
			$kanews_query = new WP_Query(
				array( 
					'posts_per_page' => $posts, 
					'cat' => $categories,
					'orderby' => 'comment_count',
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'tag'	=> $tags,
          // 'offset' => $offset,
          'paged' => $paged, 
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'random') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
          'orderby' => 'rand',
          'paged' => $paged, 
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					'tag'	=> $tags,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
					'meta_key' => 'post_views_count',
					'orderby' => 'meta_value_num',
          'post__not_in' => $excludeposts,
					'paged' => $paged, 
					'tag'	=> $tags,
					'date_query'   => $date_range,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-monthly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
					'meta_key' => 'post_views_count_monthly',
					'orderby' => 'meta_value_num',
					'post__not_in' => $excludeposts,
          'date_query'   => $date_range,
					'paged' => $paged, 
					'tag'	=> $tags,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-weekly') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
					'meta_key' => 'post_views_count_weekly',
					'orderby' => 'meta_value_num',
          'post__not_in' => $excludeposts,
					'paged' => $paged, 
					'tag'	=> $tags,
					'date_query'   => $date_range,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-viewed-daily') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
					'meta_key' => 'post_views_count_daily',
					'orderby' => 'meta_value_num',
          'post__not_in' => $excludeposts,
					'paged' => $paged, 
					'tag'	=> $tags,
					'date_query'   => $date_range,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		elseif($sortby == 'post-modified') {
			$kanews_query = new WP_Query(
				array( 
					'cat' => $categories,
					'posts_per_page' => $posts,
					'orderby' => 'modified',
          'post__not_in' => $excludeposts,
					'paged' => $paged, 
					'tag'	=> $tags,
					'date_query'   => $date_range,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
		}
		else {
			$kanews_query = new WP_Query(
				array( 
					'cat'          => $categories,
          'posts_per_page'    => $posts,
					'paged' => $paged, 
					'tag'	=> $tags,
					'post__not_in' => $excludeposts,
					'date_query'   => $date_range,
					// 'offset' => $offset,
					'tax_query' => array(
						array(
							'taxonomy' => 'post_format',
							'field' => 'slug',
							'terms' => $formats,
							'operator' => $operator
					  ) 
					)
				)
			);
    }
    wp_reset_query(  );

    if ($kanews_query->have_posts()) : ?>
			<div class="col-12 <?php echo $dark_mode; ?>"> 
				<div class="kanews-section <?php echo $this->widget_options['classname']; ?>">
          <?php 
          if(!empty($title)) {
            echo $before_title;
              echo $title; 
            echo $after_title;
          } ?>
          <div class="row" kanews-data-load-more data-status="1">
            <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; ?>
              <div class="col-12 toinfinite">
                <div class="kanews-post-item kanews-post-special-item">
									<?php
									if( empty( $GLOBALS['timeline_time'] ) || $GLOBALS['timeline_time'] != get_the_time('D M Y') ){
										echo '<div class="kanews-post-special-item-date"><span>'. get_the_time('j') .'</span><div>'. get_the_time('F') .'</div></div>';
									}
									$GLOBALS['timeline_time'] = get_the_time('D M Y');
									?>	
									<div class="kanews-post-special-item-time"><span><?php the_time( 'G:i');  ?></span></div>
									<div class="row align-items-center">
										<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
										<?php $content_class = 'col-12 col-md-8';  if(has_post_thumbnail()) :  $content_class = 'col-12 col-md-4'; ?>
											<div class="col-12 col-md-4">
												<?php do_action('kanews_post_hook'); ?>
												<?php kanews_post_thumbnail('kanews-post-3', 'kanews-post-thumb'); ?>
											</div>
										<?php endif; ?>
										<div class="<?php echo $content_class; ?>">
											<div class="kanews-post-content">
												<?php if($show_post_cat != false): ?>
													<?php echo kanews_primary_category($post->ID); ?>
												<?php endif; ?>
												<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-3"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
												<div class="mt-1"><?php the_time( 'j F Y - D - G:i');  ?></div>
											</div>
										</div>
										
										<div class="col-12 col-md-4">
											<?php if(get_post_meta( $post->ID, 'kanews_post_excerpt', true )): ?>
												<p class="truncate truncate-4"><?php echo get_post_meta( $post->ID, 'kanews_post_excerpt', true ); ?></p>
											<?php else: ?>
												<?php if (kanews_get_option('excerpt-length') != '' && $show_post_excerpt != false): ?>
													<p class="truncate truncate-4"><?php the_excerpt(); ?></p>
												<?php endif; ?>
											<?php endif; ?>
										</div>
									</div>
              	</div>
              </div>
            <?php endwhile; ?>
          </div>
        </div>
			</div>
			<?php if(is_page()): ?>
				<?php
					$total_pages = $kanews_query->max_num_pages;
					if ($total_pages > 1){
						echo '<nav class="navigation pagination" style="width: 100%" hidden role="navigation"><div class="nav-links">';
						$current_page = max(1, get_query_var('paged'));
						echo paginate_links(array(
							'base' => get_pagenum_link(1) . '%_%',
							'format' => '/page/%#%',
							'current' => $current_page,
							'total' => $total_pages,
							'prev_text'          => '<i class="icon-arrow"></i>',
							'next_text'          => '<i class="icon-arrow icon-90deg"></i>',
						));
						echo '</div></nav>';
					}
				?> 
			<div id="load-more-posts-button-wrapper">
				<div style="display:none" class="page-load-status">
					<div class="loader-ellips infinite-scroll-request">
						<svg version="1.1" id="loader-1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" width="40px" height="40px" viewBox="0 0 40 40" enable-background="new 0 0 40 40" xml:space="preserve"> <path opacity="0.2" fill="#000" d="M20.201,5.169c-8.254,0-14.946,6.692-14.946,14.946c0,8.255,6.692,14.946,14.946,14.946 s14.946-6.691,14.946-14.946C35.146,11.861,28.455,5.169,20.201,5.169z M20.201,31.749c-6.425,0-11.634-5.208-11.634-11.634 c0-6.425,5.209-11.634,11.634-11.634c6.425,0,11.633,5.209,11.633,11.634C31.834,26.541,26.626,31.749,20.201,31.749z"/> <path fill="#000" d="M26.013,10.047l1.654-2.866c-2.198-1.272-4.743-2.012-7.466-2.012h0v3.312h0 C22.32,8.481,24.301,9.057,26.013,10.047z"> <animateTransform attributeType="xml" attributeName="transform" type="rotate" from="0 20 20" to="360 20 20" dur="0.5s" repeatCount="indefinite"/> </path> </svg>
					</div>
					<p class="infinite-scroll-last"><?php _e('Daha fazla gösterilecek yazı bulunamadı!', 'kanews'); ?></p>
					<p class="infinite-scroll-error"><?php _e('Tekrar deneyiniz.', 'kanews'); ?></p>
				</div>
			</div>
			<?php endif; ?>
		<?php endif; ?>
	<?php }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
	
		$instance['categories'] = $new_instance['categories'];
		$instance['posts'] = $new_instance['posts'];
		$instance['tags'] = $new_instance['tags'];
		// $instance['offset'] = $new_instance['offset'];
		$instance['sortby'] = $new_instance['sortby'];
    $instance['postnotin'] = $new_instance['postnotin'];
		$instance['date_range'] = $new_instance['date_range'];
		$instance['format'] = $new_instance['format'];

		$instance['show_post_cat'] = $new_instance['show_post_cat'];
		$instance['show_post_excerpt'] = $new_instance['show_post_excerpt'];
		$instance['dark_mode'] = $new_instance['dark_mode'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => '', 

			'postnotin'  => '', 
			'categories' => 'all',
			'tags'  => '',  
			'posts' 		 => 8, 
			'sortby' 		 => 'recent', 
			'date_range' => '0', 
			'format' 		 => '0',
			// 'offset' 		 => '0',

			'show_post_cat'     => 'on',
			'show_post_excerpt'     => 'on',
			'dark_mode'     => 'off',
			
    );
    $instance = wp_parse_args((array) $instance, $defaults); ?>
    
    <div class="kanews-widgets-alert ">Bu bileşen son dakika sayfasında tam genişlik sidebar alanınında kullanılması için geliştirilmiştir diğer alanlarda kullanımı aynı performansı vermeyebilir. </div>
		
		<h3 class="kanews-widgets-title"><?php _e('Genel Ayarlar', 'kanews'); ?></h3>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

		<div class="kanews-admin-divider"></div>
		<h3 class="kanews-widgets-title"><?php _e('Sıralama Ayarları', 'kanews'); ?></h3>
		
    <p>
			<label for="<?php echo $this->get_field_id('sortby'); ?>"><?php _e( 'Göre Sırala' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('sortby'); ?>" name="<?php echo $this->get_field_name('sortby'); ?>" class="widefat" style="width:100%;">
				<option value='recent' <?php if ('recent' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Yayınlanma Tarihine Göre' , 'kanews') ?></option>
				<option value='post-modified' <?php if ('post-modified' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Düzenlenme Tarihine Göre' , 'kanews') ?></option>
				<option value='post-viewed' <?php if ('post-viewed' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Tüm Zamanlar', 'kanews'); ?></option>
				<option value='post-viewed-monthly' <?php if ('post-viewed-monthly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Aylık', 'kanews'); ?></option>
				<option value='post-viewed-weekly' <?php if ('post-viewed-weekly' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Haftalık', 'kanews'); ?></option>
				<option value='post-viewed-daily' <?php if ('post-viewed-daily' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Okunan Yazı' , 'kanews') ?> - <?php _e('Günlük', 'kanews'); ?></option>
				<option value='commented' <?php if ('commented' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'En Çok Yorum Yapılan' , 'kanews') ?></option>
				<option value='random' <?php if ('random' == $instance['sortby']) echo 'selected="selected"'; ?>><?php _e( 'Rastgele' , 'kanews') ?></option>
			</select>
    </p>
    
    <p>
			<label for="<?php echo $this->get_field_id('date_range'); ?>"><?php _e( 'Zaman Aralığı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('date_range'); ?>" name="<?php echo $this->get_field_name('date_range'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Zaman Aralığı Seçin' , 'kanews') ?></option>
				<option value='day' <?php if ('day' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Gün' , 'kanews') ?></option>
				<option value='week' <?php if ('week' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Hafta' , 'kanews') ?></option>
				<option value='month' <?php if ('month' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Ay' , 'kanews') ?></option>
				<option value='year' <?php if ('year' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Yıl' , 'kanews') ?></option>
			</select>
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e( 'Kategori' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e( 'Tüm Kategoriler' , 'kanews') ?></option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('tags'); ?>"><?php _e( 'Etiketler' , 'kanews') ?></label>
			<br><i><?php _e('Etiket isimlerini virgül ile ayırarak girin', 'kanews'); ?></i>
      <input type="text" class="widefat" id="<?php echo $this->get_field_id('tags'); ?>" name="<?php echo $this->get_field_name('tags'); ?>" value="<?php echo $instance['tags']; ?>" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('format'); ?>"><?php _e( 'Yazı Formatı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('format'); ?>" name="<?php echo $this->get_field_name('format'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Yazı Formatı Seçin' , 'kanews') ?></option>
				<option value='video' <?php if ('video' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Video' , 'kanews') ?></option>
				<option value='photo' <?php if ('photo' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Fotoğraf' , 'kanews') ?></option>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'postnotin' ); ?>"><?php _e( 'Hariç Tutulan Yazılar' , 'kanews') ?></label>
			<br><i><?php _e('Yazı idlerini virgül ile ayırarak girin', 'kanews'); ?></i>
			<input id="<?php echo $this->get_field_id( 'postnotin' ); ?>" name="<?php echo $this->get_field_name( 'postnotin' ); ?>" value="<?php echo $instance['postnotin']; ?>" class="widefat" type="text" />
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e( 'Yazı Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>

		<div class="kanews-admin-divider"></div>

		<h3 class="kanews-widgets-title"><?php _e('İçerik Ayarları', 'kanews'); ?></h3>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_excerpt'); ?>"><?php _e( 'Yazı Açıklaması Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_excerpt'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_excerpt'); ?>" name="<?php echo $this->get_field_name('show_post_excerpt'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_cat'); ?>"><?php _e( 'Yazı Kategorisini Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_cat'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_cat'); ?>" name="<?php echo $this->get_field_name('show_post_cat'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('dark_mode'); ?>"><?php _e( 'Koyu Mod' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['dark_mode'], 'on'); ?> id="<?php echo $this->get_field_id('dark_mode'); ?>" name="<?php echo $this->get_field_name('dark_mode'); ?>" /> 
		</p>
		

		
	<?php }
}