<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_social');
function kanews_widget_social() {
	register_widget('kanews_widget_class_social');
}

// Widget Class
class kanews_widget_class_social extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_social');
		$control_ops = array('id_base' => 'kanews_widget_social');
		parent::__construct('kanews_widget_social', ''.KAN_THEME_NAME .' - '.__( "Sosyal Medya" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
    $title = apply_filters('widget_title', $instance['title'] );
    $grid = (!empty($instance['grid'])) ? $instance['grid'] : 'col-12';
    $facebook = (!empty($instance['facebook'])) ? $instance['facebook'] : '';
    $twitter = (!empty($instance['twitter'])) ? $instance['twitter'] : '';
    $linkedin = (!empty($instance['linkedin'])) ? $instance['linkedin'] : '';
    $pinterest = (!empty($instance['pinterest'])) ? $instance['pinterest'] : '';
    $youtube = (!empty($instance['youtube'])) ? $instance['youtube'] : '';
    $whatsapp = (!empty($instance['whatsapp'])) ? $instance['whatsapp'] : '';
    $instagram = (!empty($instance['instagram'])) ? $instance['instagram'] : '';

    ?>

    <div class="<?php echo $grid; ?>">
      <div class="kanews-section">
        <?php echo kanews_widget_title($title); ?>
        <div class="kanews-social-accounts">
          <?php if ( $facebook ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-facebook" href="<?php echo $facebook; ?>">
              <span class="w-icon"><i class="icon-facebook"></i></span>
              <span class="text"><?php _e('Beğen','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $twitter ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-twitter" href="<?php echo $twitter; ?>">
              <span class="w-icon"><i class="icon-twitter"></i></span>
              <span class="text"><?php _e('Takip Et','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $linkedin ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-linkedin" href="<?php echo $linkedin; ?>">
              <span class="w-icon"><i class="icon-linkedin"></i></span>
              <span class="text"><?php _e('Bağlan','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $pinterest ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-pinterest" href="<?php echo $pinterest; ?>">
              <span class="w-icon"><i class="icon-pinterest"></i></span>
              <span class="text"><?php _e('Takip Et','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $youtube ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-youtube" href="<?php echo $youtube; ?>">
              <span class="w-icon"><i class="icon-video"></i></span>
              <span class="text"><?php _e('Abone Ol','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $instagram ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-instagram" href="<?php echo $instagram; ?>">
              <span class="w-icon"><i class="icon-instagram"></i></span>
              <span class="text"><?php _e('Takip Et','kanews'); ?></span>
            </a>
          <?php endif; ?>
          <?php if ( $whatsapp ) : ?>
            <a rel="nofollow noopener" target="_blank" class="bg-whatsapp" href="<?php echo $whatsapp; ?>">
              <span class="w-icon"><i class="icon-whatsapp"></i></span>
              <span class="text"><?php _e('Takip','kanews'); ?></span>
            </a>
          <?php endif; ?>
        </div>
      </div>
    </div>
  <?php
	}
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['grid'] = $new_instance['grid'];
		$instance['facebook'] = $new_instance['facebook'];
		$instance['twitter'] = $new_instance['twitter'];
		$instance['instagram'] = $new_instance['instagram'];
		$instance['youtube'] = $new_instance['youtube'];
		$instance['pinterest'] = $new_instance['pinterest'];
		$instance['linkedin'] = $new_instance['linkedin'];
		$instance['whatsapp'] = $new_instance['whatsapp'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
      'title' => esc_html__( 'Bize Katılın', 'kanews' ), 
			'grid' => 'col-12', 
			'facebook' => '', 
			'twitter' => '', 
			'instagram' => '', 
			'youtube' => '', 
			'pinterest' => '', 
			'linkedin' => '', 
			'whatsapp' => '', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

    <p class="kanews-grid-select-x">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col' <?php if ('col' == $instance['grid']) echo 'selected="selected"'; ?>>Sığdır</option>
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
			</select>
    </p>     

		<p>
			<label for="<?php echo $this->get_field_id('facebook'); ?>">Facebook</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('facebook'); ?>" name="<?php echo $this->get_field_name('facebook'); ?>" value="<?php echo $instance['facebook']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('twitter'); ?>">Twitter</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('twitter'); ?>" name="<?php echo $this->get_field_name('twitter'); ?>" value="<?php echo $instance['twitter']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('pinterest'); ?>">Pinterest</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('pinterest'); ?>" name="<?php echo $this->get_field_name('pinterest'); ?>" value="<?php echo $instance['pinterest']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('linkedin'); ?>">Linkedin</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('linkedin'); ?>" name="<?php echo $this->get_field_name('linkedin'); ?>" value="<?php echo $instance['linkedin']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('youtube'); ?>">Youtube</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('youtube'); ?>" name="<?php echo $this->get_field_name('youtube'); ?>" value="<?php echo $instance['youtube']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('instagram'); ?>">Instagram</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('instagram'); ?>" name="<?php echo $this->get_field_name('instagram'); ?>" value="<?php echo $instance['instagram']; ?>" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id('whatsapp'); ?>">Whatsapp</label>
			<input type="text" class="widefat" id="<?php echo $this->get_field_id('whatsapp'); ?>" name="<?php echo $this->get_field_name('whatsapp'); ?>" value="<?php echo $instance['whatsapp']; ?>" />
		</p>


	<?php }
}
?>