<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_standings');
function kanews_widget_standings() {
	register_widget('kanews_widget_class_standings');
}

// Widget Class
class kanews_widget_class_standings extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_standings');
		$control_ops = array('id_base' => 'kanews_widget_standings');
		parent::__construct('kanews_widget_standings', ''.KAN_THEME_NAME .' - '.__( "Puan Durumları" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);
    $title = apply_filters('widget_title', $instance['title'] );
    $grid = (!empty($instance['grid'])) ? $instance['grid'] : 'col-12';
    $lig = (!empty($instance['lig'])) ? $instance['lig'] : 'spor-toto-super-lig';
    $upper = (!empty($instance['upper'])) ? $instance['upper'] : '4';
    $team = (!empty($instance['team'])) ? $instance['team'] : '5';
    $pages = (!empty($instance['pages'])) ? $instance['pages'] : '';

    ?>

    <div class="<?php echo $grid; ?>">
      <div class="kanews-section">
        <?php echo kanews_widget_title($title); ?>
        <table class="kanews-table table-standings table-sorter" style="box-shadow:none!important;border:0;margin:0;table-layout:auto" data-shown="<?php echo $team; ?>" data-more="<?php echo $upper; ?>">
            <thead>
              <tr>
                <th><span class="nobr">#</span></th>
                <th><span class="nobr"><?php esc_html_e( 'Takım Adı', 'kanews' ); ?></span></th>
                
                <th><span class="nobr">O</span></th>
                <th><span class="nobr">P</span></th>
            </thead>
            <tbody>
            <?php 
              $api  =  new SuperLigStandings();
              $simpleStandings  = $api->getStandings($lig);
              foreach ($simpleStandings  as  $team) {
                echo '<tr>';
                  echo '<td width="1">'. $team->position. '</td>';
                  if($team->logo)
                  echo '<td style="width:100%"><img src="'.kanews_lazy_link().'" class="kanews-lazy" data-src="'.$team->logo.'" width="18" height="18" alt="logo" /> '. $team->name. '</td>';
                  echo '<td>'. $team->played . '</td>';
                  echo '<td>'. $team->points . '</td>';
                echo '</tr>';
              } ?>
            </tbbody>
          </table>
					<?php if($pages != '' && $pages != 'all'): ?>
						<div class="col-12 text-center"><a href="<?php echo get_page_link($pages); ?>" class="kanews-section-page-link kanews-btn kanews-btn-o kanews-btn-sm mt-0 mb-0 kanews-btn-block"><?php esc_html_e( 'Diğer Liglere Gözat', 'kanews' ); ?></a></div><div style="height: 15px"></div>
					<?php endif; ?>
      </div>
    </div>
  <?php
	}
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;

		$instance['title'] = $new_instance['title'];
		$instance['lig'] = $new_instance['lig'];
		$instance['grid'] = $new_instance['grid'];
		$instance['team'] = $new_instance['team'];
		$instance['upper'] = $new_instance['upper'];
		$instance['pages'] = $new_instance['pages'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
      'title' => esc_html__( 'Puan Durumu', 'kanews' ), 
			'grid' => 'col-12', 
			'pages' => 'all', 
			'lig' => 'spor-toto-super-lig', 
			'team' => '5', 
			'upper' => '4', 
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>

    <p class="kanews-grid-select-x">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col' <?php if ('col' == $instance['grid']) echo 'selected="selected"'; ?>>Sığdır</option>
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
			</select>
    </p>     

		<p>
			<label for="<?php echo $this->get_field_id('pages'); ?>"><?php _e( 'Puan Durumları Sayfası' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('pages'); ?>" name="<?php echo $this->get_field_name('pages'); ?>" class="widefat pages" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e( 'Sayfa Seçin' , 'kanews') ?></option>
				<?php $categories = get_pages('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->ID; ?>' <?php if ($category->ID == $instance['pages']) echo 'selected="selected"'; ?>><?php echo $category->post_title; ?></option>
				<?php } ?>
			</select>
		</p>
    
    <p>
			<label for="<?php echo $this->get_field_id('lig'); ?>"><?php _e( 'Lig' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('lig'); ?>" name="<?php echo $this->get_field_name('lig'); ?>" class="widefat" style="width:100%;">
				<option value='spor-toto-super-lig' <?php if ('spor-toto-super-lig' == $instance['lig']) echo 'selected="selected"'; ?>>Süper Lig</option>
				<option value='almanya-bundesliga' <?php if ('almanya-bundesliga' == $instance['lig']) echo 'selected="selected"'; ?>>Bundesliga</option>
				<option value='ingiltere-premier-ligi' <?php if ('ingiltere-premier-ligi' == $instance['lig']) echo 'selected="selected"'; ?>>Premier Lig</option>
				<option value='italya-serie-a' <?php if ('italya-serie-a' == $instance['lig']) echo 'selected="selected"'; ?>>Serie A</option>
				<option value='fransa-ligue-1' <?php if ('fransa-ligue-1' == $instance['lig']) echo 'selected="selected"'; ?>>Ligue 1</option>
				<option value='ispanya-la-liga' <?php if ('ispanya-la-liga' == $instance['lig']) echo 'selected="selected"'; ?>>La Liga</option>
				<option value='ptt-1-lig' <?php if ('ptt-1-lig' == $instance['lig']) echo 'selected="selected"'; ?>>Ptt 1. Lig</option>
			</select>
    </p> 

    <p>
			<label for="<?php echo $this->get_field_id('team'); ?>"><?php _e( 'Gösterilecek Takım Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('team'); ?>" name="<?php echo $this->get_field_name('team'); ?>" value="<?php echo $instance['team']; ?>" />
    </p>

    
    <p>
			<label for="<?php echo $this->get_field_id('upper'); ?>"><?php _e( 'Artış Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('upper'); ?>" name="<?php echo $this->get_field_name('upper'); ?>" value="<?php echo $instance['upper']; ?>" />
		</p>



	<?php }
}
?>