<?php

if ( ! defined( 'ABSPATH' ) ) {
	die();
}

// Register Widget
add_action('widgets_init', 'kanews_widget_tab_menu');
function kanews_widget_tab_menu() {
	register_widget('kanews_widget_class_tab_menu');
}

// Widget Class
class kanews_widget_class_tab_menu extends WP_Widget {

  // Create
	public function __construct(){
		$widget_ops = array('classname' => 'kanews_widget_tab_menu  kanews-section-gutter');
		$control_ops = array('id_base' => 'kanews_widget_tab_menu');
		parent::__construct('kanews_widget_tab_menu', ''.KAN_THEME_NAME .' - '.__( "Tab Menü" , 'kanews' ), $widget_ops, $control_ops );
	}
  
  // Front-end
	public function widget($args, $instance)
	{
		extract($args);

		$title = (isset($instance['title'])) ? $instance['title'] : esc_html__( 'Popüler Haberler', 'kanews' );
		$title2 = (isset($instance['title2'])) ? $instance['title2'] : esc_html__( 'Son Haberler', 'kanews' );

		$grid = (!empty($instance['grid'])) ? $instance['grid'] : 'col-12';
		$col = (!empty($instance['col'])) ? $instance['col'] : 'col-6 col-lg-4';

		$categories = (isset($instance['categories'])) ? $instance['categories'] : '';
		$tags = (isset($instance['tags'])) ? $instance['tags'] : '';
    $posts = (isset($instance['posts'])) ? $instance['posts'] : '5';
    $offset = (isset($instance['offset'])) ? $instance['offset'] : '';
    $date_range = (isset($instance['date_range']) && $instance['date_range'] != '0') ? $instance['date_range'] : null;
    $sortby = (isset($instance['sortby'])) ? $instance['sortby'] : 'recent';
		$postnotin = !empty($instance['postnotin']) ? $instance['postnotin'] : '';
		$format = !empty($instance['format']) ? $instance['format'] : '';
		$post_thumb_position = (!empty($instance['post_thumb_position'])) ? 'post-thumb-'.$instance['post_thumb_position'] : 'post-thumb-left';

		$exlude = '';
		if(is_singular()) {
			global $post;
			if($post) 
			$exlude = $post->ID.',';
			$exlude .= $postnotin;
			$excludeposts = explode(",", $exlude);
		}elseif(is_category()) {
			if(get_query_var( 'cat' ))
			$categories = get_query_var( 'cat' );
			$excludeposts = explode(",", $postnotin);
		} else {
			$excludeposts = explode(",", $postnotin);
		}

		if($format == '' || $format == '0') {
			$operator = 'OR';
			$formats = array('post-format-video', 'post-format-gallery');
		} elseif($format == 'video') {
			$formats = array('post-format-video');
			$operator = 'IN';
		} elseif($format == 'photo') {
			$formats = array('post-format-gallery');
			$operator = 'IN';
		}

		$show_post_cat = !isset($instance['show_post_cat']) ? false : true;
		$show_post_thumb = !isset($instance['show_post_thumb']) ? false : true;


		$kanews_popular_query = new WP_Query(
			array( 
				'cat' => $categories,
				'showposts' => $posts,
				'meta_key' => 'post_views_count',
				'orderby' => 'meta_value_num',
				'post__not_in' => $excludeposts,
				'date_query'   => $date_range,
				'offset' => $offset,
				'tag'	=> $tags,
				'tax_query' => array(
					array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => $formats,
						'operator' => $operator
					) 
				)
			)
		);
	
		$kanews_monthly_query = new WP_Query(
			array( 
				'cat' => $categories,
				'showposts' => $posts,
				'meta_key' => 'post_views_count_monthly',
				'orderby' => 'meta_value_num',
				'post__not_in' => $excludeposts,
				'date_query'   => $date_range,
				'offset' => $offset,
				'tag'	=> $tags,
				'tax_query' => array(
					array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => $formats,
						'operator' => $operator
					) 
				)
			)
		);

		$kanews_weekly_query = new WP_Query(
			array( 
				'cat' => $categories,
				'showposts' => $posts,
				'meta_key' => 'post_views_count_weekly',
				'orderby' => 'meta_value_num',
				'post__not_in' => $excludeposts,
				'date_query'   => $date_range,
				'offset' => $offset,
				'tag'	=> $tags,
				'tax_query' => array(
					array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => $formats,
						'operator' => $operator
					) 
				)
			)
		);

		$kanews_daily_query = new WP_Query(
			array( 
				'cat' => $categories,
				'showposts' => $posts,
				'meta_key' => 'post_views_count_daily',
				'orderby' => 'meta_value_num',
				'post__not_in' => $excludeposts,
				'date_query'   => $date_range,
				'offset' => $offset,
				'tag'	=> $tags,
				'tax_query' => array(
					array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => $formats,
						'operator' => $operator
					) 
				)
			)
		);

		$kanews_recent_query = new WP_Query(
			array( 
				'cat'          => $categories,
				'showposts'    => $posts,
				'post__not_in' => $excludeposts,
				'date_query'   => $date_range,
				'offset' => $offset,
				'tag'	=> $tags,
				'tax_query' => array(
					array(
						'taxonomy' => 'post_format',
						'field' => 'slug',
						'terms' => $formats,
						'operator' => $operator
					) 
				)
			)
		);

		$thumbnail = 'kanews-post-2';
		$number = $this->number;
		$col = 'col-12';
		?>
		<div class="col-12">
			<div class="kanews-section <?php echo $this->widget_options['classname']; ?>">
				<div class="kanews-tab">
					<!-- Tab Panel -->
					<ul class="nav nav-tabs d-flex flex-wrap" id="kanewsTab-<?php echo $number; ?>" role="tablist">
						<li class="nav-item" role="presentation">
							<a class="nav-link active" id="popular-tab-<?php echo $number; ?>" data-toggle="tab" href="#popular-<?php echo $number; ?>" role="tab" aria-controls="popular-<?php echo $number; ?>" aria-selected="true"><?php echo $title; ?></a>
						</li>
						<li class="nav-item" role="presentation">
							<a class="nav-link" id="recent-tab-<?php echo $number; ?>" data-toggle="tab" href="#recent-<?php echo $number; ?>" role="tab" aria-controls="recent-<?php echo $number; ?>" aria-selected="false"><?php echo $title2; ?></a>
						</li>
					</ul>
					<!-- Tab Content -->
					<div class="tab-content" id="kanewsTabContent-<?php echo $number; ?>">
						<!-- Popular Posts -->
						<div class="tab-pane fade show active" id="popular-<?php echo $number; ?>" role="tabpanel" aria-labelledby="popular-tab-<?php echo $number; ?>">
							<!-- Tab Panel -->
							<ul class="nav nav-tabs d-flex flex-wrap" id="myTab2" role="tablist">
								<li class="nav-item" role="presentation">
									<a class="nav-link active" id="kanews-tab-all-time-<?php echo $number; ?>" data-toggle="tab" href="#kanews-tab-post-views-all-time-<?php echo $number; ?>" role="tab" aria-controls="kanews-tab-post-views-all-time-<?php echo $number; ?>" aria-selected="true">Hepsi</a>
								</li>
								<li class="nav-item" role="presentation">
									<a class="nav-link" id="kanews-tab-daily-<?php echo $number; ?>" data-toggle="tab" href="#kanews-tab-post-views-daily-<?php echo $number; ?>" role="tab" aria-controls="kanews-tab-post-views-daily-<?php echo $number; ?>" aria-selected="false">Bugün</a>
								</li>
								<li class="nav-item" role="presentation">
									<a class="nav-link" id="kanews-tab-weekly-<?php echo $number; ?>" data-toggle="tab" href="#kanews-tab-post-views-weekly-<?php echo $number; ?>" role="tab" aria-controls="kanews-tab-post-views-weekly-<?php echo $number; ?>" aria-selected="false">Haftalık</a>
								</li>
								<li class="nav-item" role="presentation">
									<a class="nav-link" id="kanews-tab-monthly-<?php echo $number; ?>" data-toggle="tab" href="#kanews-tab-post-views-monthly-<?php echo $number; ?>" role="tab" aria-controls="kanews-tab-post-views-monthly-<?php echo $number; ?>" aria-selected="false">Aylık</a>
								</li>
							</ul>
							<!-- Tab Content -->
							<div class="tab-content" id="kanewsTabContent-1-<?php echo $number; ?>">
								<!-- All Time -->
								<div class="tab-pane fade show active" id="kanews-tab-post-views-all-time-<?php echo $number; ?>" role="tabpanel" aria-labelledby="kanews-tab-all-time-<?php echo $number; ?>">
									<?php if ($kanews_popular_query->have_posts()) : ?>
										<div class="row">
											<?php while($kanews_popular_query->have_posts()): $kanews_popular_query->the_post(); global $post; ?>
												<div class="<?php echo $col; ?>">
													<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
														<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
														<?php do_action('kanews_post_hook'); ?>
														<?php if($show_post_thumb != false): ?>
															<?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
														<?php endif; ?>
														<div class="kanews-post-content">
															<?php if($show_post_cat != false): ?>
																<?php echo kanews_primary_category($post->ID); ?>
															<?php endif; ?>
															<span class="post-views"><i class="icon-view"></i> <?php echo get_post_meta($post->ID, 'post_views_count', true); ?></span>
															<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
															
														</div>
													</div>
												</div>
											<?php endwhile; ?>
										</div>
									<?php else: ?>
										<p><?php esc_html_e( 'Gösterilecek yazı bulunamadı.', 'kanews' ); ?></p>
									<?php endif; ?>
								</div>

								<!-- Daily -->
								<div class="tab-pane fade" id="kanews-tab-post-views-daily-<?php echo $number; ?>" role="tabpanel" aria-labelledby="kanews-tab-daily-<?php echo $number; ?>">
									<?php if ($kanews_daily_query->have_posts()) : ?>
										<div class="row">
											<?php while($kanews_daily_query->have_posts()): $kanews_daily_query->the_post(); global $post; ?>
												<div class="<?php echo $col; ?>">
													<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
														<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
														<?php do_action('kanews_post_hook'); ?>
														<?php if($show_post_thumb != false): ?>
															<?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
														<?php endif; ?>
														<div class="kanews-post-content">
															<?php if($show_post_cat != false): ?>
																<?php echo kanews_primary_category($post->ID); ?>
															<?php endif; ?>
															<span class="post-views"><i class="icon-view"></i> <?php echo get_post_meta($post->ID, 'post_views_count_daily', true); ?></span>
															<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
															
														</div>
													</div>
												</div>
											<?php endwhile; ?>
										</div>
									<?php else: ?>
										<p><?php esc_html_e( 'Gösterilecek yazı bulunamadı.', 'kanews' ); ?></p>
									<?php endif; ?>
								</div>

								<!-- Weekly -->
								<div class="tab-pane fade" id="kanews-tab-post-views-weekly-<?php echo $number; ?>" role="tabpanel" aria-labelledby="kanews-tab-weekly-<?php echo $number; ?>">
									<?php if ($kanews_weekly_query->have_posts()) : ?>
										<div class="row ">
											<?php while($kanews_weekly_query->have_posts()): $kanews_weekly_query->the_post(); global $post; ?>
												<div class="<?php echo $col; ?>">
													<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
														<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
														<?php do_action('kanews_post_hook'); ?>
														<?php if($show_post_thumb != false): ?>
															<?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
														<?php endif; ?>
														<div class="kanews-post-content">
															<?php if($show_post_cat != false): ?>
																<?php echo kanews_primary_category($post->ID); ?>
															<?php endif; ?>
															<span class="post-views"><i class="icon-view"></i> <?php echo get_post_meta($post->ID, 'post_views_count_weekly', true); ?></span>
															<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
														</div>
													</div>
												</div>
											<?php endwhile; ?>
										</div>
									<?php else: ?>
										<p><?php esc_html_e( 'Gösterilecek yazı bulunamadı.', 'kanews' ); ?></p>
									<?php endif; ?>
								</div>

								<!-- Monthly -->
								<div class="tab-pane fade" id="kanews-tab-post-views-monthly-<?php echo $number; ?>" role="tabpanel" aria-labelledby="kanews-tab-monthly-<?php echo $number; ?>">
									<?php if ($kanews_monthly_query->have_posts()) : ?>
										<div class="row">
											<?php while($kanews_monthly_query->have_posts()): $kanews_monthly_query->the_post(); global $post; ?>
												<div class="<?php echo $col; ?>">
													<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
														<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
														<?php do_action('kanews_post_hook'); ?>
														<?php if($show_post_thumb != false): ?>
															<?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
														<?php endif; ?>
														<div class="kanews-post-content">
															<?php if($show_post_cat != false): ?>
																<?php echo kanews_primary_category($post->ID); ?>
															<?php endif; ?>
															<span class="post-views"><i class="icon-view"></i> <?php echo get_post_meta($post->ID, 'post_views_count_monthly', true); ?></span>
															<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
														</div>
													</div>
												</div>
											<?php endwhile; ?>
										</div>
									<?php else: ?>
										<p><?php esc_html_e( 'Gösterilecek yazı bulunamadı.', 'kanews' ); ?></p>
									<?php endif; ?>
								</div>

							</div>
						</div>
						<!-- Recent Posts -->
						<div class="tab-pane fade" id="recent-<?php echo $number; ?>" role="tabpanel" aria-labelledby="recent-tab-<?php echo $number; ?>">
							<?php if ($kanews_recent_query->have_posts()) : ?>
								<div class="row">
									<?php while($kanews_recent_query->have_posts()): $kanews_recent_query->the_post(); global $post; ?>
										<div class="<?php echo $col; ?>">
											<div class="kanews-post-item kanews-post-grid-item kanews-post-small-item <?php echo $post_thumb_position; ?>">
												<a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
												<?php do_action('kanews_post_hook'); ?>
												<?php if($show_post_thumb != false): ?>
													<?php kanews_post_thumbnail('kanews-post-thumb', 'kanews-post-thumb'); ?>
												<?php endif; ?>
												<div class="kanews-post-content">
													<?php if($show_post_cat != false): ?>
														<?php echo kanews_primary_category($post->ID); ?>
													<?php endif; ?>
													<span class="post-views"><i class="icon-view"></i> <?php echo get_post_meta($post->ID, 'post_views_count_monthly', true); ?></span>
													<?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-2"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
												</div>
											</div>
										</div>
									<?php endwhile; ?>
								</div>
							<?php else: ?>
								<p><?php esc_html_e( 'Gösterilecek yazı bulunamadı.', 'kanews' ); ?></p>
							<?php endif; ?>
						</div>

					</div>
				</div>
			</div>
		</div>
	<?php }
  
  // Update Form
	public function update($new_instance, $old_instance)
	{
		$instance = $old_instance;
		$instance['title'] = $new_instance['title'];
		$instance['title2'] = $new_instance['title2'];
		
		$instance['grid'] = $new_instance['grid'];
		$instance['col'] = $new_instance['col'];

		$instance['categories'] = $new_instance['categories'];
		$instance['posts'] = $new_instance['posts'];
		$instance['offset'] = $new_instance['offset'];
		$instance['sortby'] = $new_instance['sortby'];
    $instance['postnotin'] = $new_instance['postnotin'];
		$instance['date_range'] = $new_instance['date_range'];
		$instance['format'] = $new_instance['format'];

		$instance['show_post_cat'] = $new_instance['show_post_cat'];
		$instance['show_post_thumb'] = $new_instance['show_post_thumb'];
		$instance['post_thumb_position'] = $new_instance['post_thumb_position'];
		
		return $instance;
	}

  // Back-end
	public function form($instance)
	{
		$defaults = array( 
			'title' => esc_html__( 'Popüler Haberler', 'kanews' ), 
			'title2' => esc_html__( 'Yeni Haberler', 'kanews' ), 

			'grid' => 'col-12', 

			'postnotin'  => '', 
			'categories' => 'all', 
			'posts' 		 => 5, 
			'date_range' => '0', 
			'format' 		 => '0',
			'offset' 		 => '0',

			'show_post_cat'       => 'on',
			'show_post_thumb'     => 'on',
			'post_thumb_position' => 'left',
			
    );
		$instance = wp_parse_args((array) $instance, $defaults); ?>
		
		<h3 class="kanews-widgets-title"><?php _e('Genel Ayarlar', 'kanews'); ?></h3>

		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e( 'Başlık' , 'kanews') ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" class="widefat" type="text" />
		</p>
		<p>
			<label for="<?php echo $this->get_field_id( 'title2' ); ?>"><?php _e( 'Başlık' , 'kanews') ?> #2</label>
			<input id="<?php echo $this->get_field_id( 'title2' ); ?>" name="<?php echo $this->get_field_name( 'title2' ); ?>" value="<?php echo $instance['title2']; ?>" class="widefat" type="text" />
		</p>

		<p class="kanews-grid-select">
			<label for="<?php echo $this->get_field_id('grid'); ?>"><?php _e( 'Genişlik' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('grid'); ?>" name="<?php echo $this->get_field_name('grid'); ?>" class="widefat" style="width:100%;">
				<option value='col-12' <?php if ('col-12' == $instance['grid']) echo 'selected="selected"'; ?>>12/12</option>
				<option value='col-12 col-lg-8' <?php if ('col-12 col-lg-8' == $instance['grid']) echo 'selected="selected"'; ?>>12/8</option>
				<option value='col-12 col-lg-6' <?php if ('col-12 col-lg-6' == $instance['grid']) echo 'selected="selected"'; ?>>12/6</option>
				<option value='col-12 col-lg-4' <?php if ('col-12 col-lg-4' == $instance['grid']) echo 'selected="selected"'; ?>>12/4</option>
			</select>
		</p> 


		<div class="kanews-admin-divider"></div>
		<h3 class="kanews-widgets-title"><?php _e('Sıralama Ayarları', 'kanews'); ?></h3>
    
    <p>
			<label for="<?php echo $this->get_field_id('date_range'); ?>"><?php _e( 'Zaman Aralığı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('date_range'); ?>" name="<?php echo $this->get_field_name('date_range'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Zaman Aralığı Seçin' , 'kanews') ?></option>
				<option value='day' <?php if ('day' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Gün' , 'kanews') ?></option>
				<option value='week' <?php if ('week' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Hafta' , 'kanews') ?></option>
				<option value='month' <?php if ('month' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Ay' , 'kanews') ?></option>
				<option value='year' <?php if ('year' == $instance['date_range']) echo 'selected="selected"'; ?>><?php _e( 'Son 1 Yıl' , 'kanews') ?></option>
			</select>
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('categories'); ?>"><?php _e( 'Kategori' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('categories'); ?>" name="<?php echo $this->get_field_name('categories'); ?>" class="widefat categories" style="width:100%;">
				<option value='all' <?php if ('all' == $instance['categories']) echo 'selected="selected"'; ?>><?php _e( 'Tüm Kategoriler' , 'kanews') ?></option>
				<?php $categories = get_categories('hide_empty=0&depth=1&type=post'); ?>
				<?php foreach($categories as $category) { ?>
				<option value='<?php echo $category->term_id; ?>' <?php if ($category->term_id == $instance['categories']) echo 'selected="selected"'; ?>><?php echo $category->cat_name; ?></option>
				<?php } ?>
			</select>
		</p>

		<p>
			<label for="<?php echo $this->get_field_id('format'); ?>"><?php _e( 'Yazı Formatı' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('format'); ?>" name="<?php echo $this->get_field_name('format'); ?>" class="widefat" style="width:100%;">
				<option value='0' <?php if ('0' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Yazı Formatı Seçin' , 'kanews') ?></option>
				<option value='video' <?php if ('video' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Video' , 'kanews') ?></option>
				<option value='photo' <?php if ('photo' == $instance['format']) echo 'selected="selected"'; ?>><?php _e( 'Fotoğraf' , 'kanews') ?></option>
			</select>
		</p>

    <p>
      <label for="<?php echo $this->get_field_id('offset'); ?>"><?php _e( 'Offset' , 'kanews') ?></label>
      <i style="margin-bottom:5px;display:block;"><?php _e('Örneğin 1 girerseniz birinci yazıyı hariç tutar, ikinci yazıdan başlar.', 'kanews'); ?></i>
      <input type="number" class="widefat" id="<?php echo $this->get_field_id('offset'); ?>" name="<?php echo $this->get_field_name('offset'); ?>" value="<?php echo $instance['offset']; ?>" />
		</p>
		
		<p>
			<label for="<?php echo $this->get_field_id( 'postnotin' ); ?>"><?php _e( 'Hariç Tutulan Yazılar' , 'kanews') ?></label>
			<br><i><?php _e('Yazı idlerini virgül ile ayırarak girin', 'kanews'); ?></i>
			<input id="<?php echo $this->get_field_id( 'postnotin' ); ?>" name="<?php echo $this->get_field_name( 'postnotin' ); ?>" value="<?php echo $instance['postnotin']; ?>" class="widefat" type="text" />
		</p>

    <p>
			<label for="<?php echo $this->get_field_id('posts'); ?>"><?php _e( 'Yazı Sayısı' , 'kanews') ?></label>
			<input type="number" class="widefat" id="<?php echo $this->get_field_id('posts'); ?>" name="<?php echo $this->get_field_name('posts'); ?>" value="<?php echo $instance['posts']; ?>" />
		</p>

		<div class="kanews-admin-divider"></div>

		<h3 class="kanews-widgets-title"><?php _e('İçerik Ayarları', 'kanews'); ?></h3>

		<p>
			<label for="<?php echo $this->get_field_id('post_thumb_position'); ?>"><?php _e( 'Yazı Görseli Konumu' , 'kanews') ?></label> 
			<select id="<?php echo $this->get_field_id('post_thumb_position'); ?>" name="<?php echo $this->get_field_name('post_thumb_position'); ?>" class="widefat" style="width:100%;">
				<option value='left' <?php if ('0' == $instance['post_thumb_position']) echo 'selected="selected"'; ?>><?php _e( 'Sol' , 'kanews') ?></option>
				<option value='right' <?php if ('day' == $instance['date_post_thumb_positionrange']) echo 'selected="selected"'; ?>><?php _e( 'Sağ' , 'kanews') ?></option>
			</select>
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_thumb'); ?>"><?php _e( 'Yazı Görselini Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_thumb'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_thumb'); ?>" name="<?php echo $this->get_field_name('show_post_thumb'); ?>" /> 
		</p>

		<p>
      <label for="<?php echo $this->get_field_id('show_post_cat'); ?>"><?php _e( 'Yazı Kategorisini Göster' , 'kanews') ?></label>
			<input class="checkbox" type="checkbox" <?php checked($instance['show_post_cat'], 'on'); ?> id="<?php echo $this->get_field_id('show_post_cat'); ?>" name="<?php echo $this->get_field_name('show_post_cat'); ?>" /> 
		</p>
		

		
	<?php }
}