<?php
/**
 * Template Name: Kullanıcı Paneli
 * @url kanthemes.com
 */
__( 'Kullanıcı Paneli', 'kanews' );
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly

if(is_user_logged_in()) {
	global $current_user, $wp_roles;
	wp_get_current_user();
	$action2 = isset($_GET['islem']) ? $_GET['islem'] : NULL;
	$durum = isset($_GET['durum']) ? $_GET['durum'] : NULL;

	$error = array();    
	if ( 'POST' == $_SERVER['REQUEST_METHOD'] && !empty( $_POST['action'] ) && $_POST['action'] == 'update-user' ) {
		if ( !empty( $_POST['_basic_user_avatar_nonce'] ) ) {
			update_user_meta($current_user->ID, '_basic_user_avatar_nonce' , esc_attr( $_POST['_basic_user_avatar_nonce'] ));
		}
		if ( count($error) == 0 ) {
			do_action('edit_user_profile_update', $current_user->ID, $_FILES);
				wp_redirect( get_permalink().'?updated=true' ); exit;
			exit;
    }
	}

	if($action2 == 'icerik-ekle') {
		$error = '';
		
		if(isset($_POST['post-submit'])) {

			$uid = get_current_user_id();
			$title = trim( sanitize_text_field( $_POST[ 'post_title' ] ) );
			$post_excerpt = trim( sanitize_text_field( $_POST[ 'post_excerpt' ] ) );
			$content = $_POST[ 'kanews-add-posts' ];
			$tags = $_POST['post_tags'];

			if(!empty($title) && !empty($content)) {
				if ( ! empty( $_FILES['featured']['name'] )) {
					$filename = $_FILES['featured']['name'];
					$ext = pathinfo($filename, PATHINFO_EXTENSION);
					$allowed = array('jpg', 'png', 'jpeg');
					if( in_array( $ext, $allowed ) ){
						foreach( $_FILES as $file ) {
							if( is_array( $file ) ) {
								$attach_id = upload_user_file( $file );
							}
						}
					}
				}
			} else {
				$error = '<div class="kanews-response bg-danger">Başlık ve içerik boş olmamalı!</div>';
			}
			
			$post_status_subscriber = kanews_get_option('post-submit-status') != '' ? kanews_get_option('post-submit-status') : 'pending';
			$post_status_contributor = kanews_get_option('post-submit-status-contributor') != '' ? kanews_get_option('post-submit-status-contributor') : 'pending';
			$post_status_author = kanews_get_option('post-submit-status-author') != '' ? kanews_get_option('post-submit-status-author') : 'pending';
			$post_status_editor = kanews_get_option('post-submit-status-editor') != '' ? kanews_get_option('post-submit-status-editor') : 'pending';

			$user_meta=get_userdata($uid);

			if($user_meta->roles[0] == 'administrator')
			$post_status = 'publish';
			elseif($user_meta->roles[0] == 'editor')
			$post_status = $post_status_editor;
			elseif($user_meta->roles[0] == 'author')
			$post_status = $post_status_author;
			elseif($user_meta->roles[0] == 'contributor')
			$post_status = $post_status_contributor;
			elseif($user_meta->roles[0] == 'subscriber')
			$post_status = $post_status_subscriber;
			else
			$post_status = 'pending';

			$post_info = array(
				'post_title' => wp_strip_all_tags( $title ),
				'post_content' => wpautop($content),
				'post_status' => $post_status,
				'post_author' => $uid,
				'post_category'	=> (!empty($_POST['cat'])) ? array($_POST['cat']) : '',
				'tags_input'    => array($tags),
				'post_type' => 'post',
			);
			$pid = wp_insert_post( $post_info );

			update_post_meta( $pid, 'kanews_post_excerpt', $post_excerpt); 
			update_post_meta($pid,'_thumbnail_id',$attach_id);
			set_post_thumbnail( $pid, $attach_id );
			if ( !is_wp_error( $pid ) ) {
				$error = '<div class="kanews-response bg-success">İçerik gönderildi!</div>';
			}
		}
	}
		

} else {
	$action2 = isset($_GET['islem']) ? $_GET['islem'] : NULL;
}
get_header(); ?>
<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>
	<?php if(is_user_logged_in()): ?>
		<div class="kanews-page-header kanews-page-header-special">
			<div class="container">
				<div class="row">
					<div class="col"><h1 class="kanews-page-title"><?php esc_html_e( 'Hesabım', 'kanews' ); ?></h1></div>
				</div>
			</div>
		</div>

		<main id="main" class="site-main">
			<div class="container">
				<div class="row">

					<div class="col-12 col-md-4">
						<div class="kanews-panel">
							<div class="kanews-panel-top">
								<div class="d-flex align-items-center">
									<div class="col-auto">
										<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $current_user->ID ) ); ?>" class="kanews-panel-user-avatar"> 
											<?php echo kanews_user_avatar(get_the_author_meta('ID', $current_user->ID),'90'); ?>
											
										</a>
									</div>
									<div class="col">
										<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID', $current_user->ID ) ); ?>"><?php the_author_meta('display_name', $current_user->ID); ?></a>
										<?php echo KANEWS_INSIGHTS::user_badge($current_user->ID); echo user_badge($current_user->ID); ?>
										<?php $mail = get_the_author_meta('user_email', $current_user->ID); if($mail): ?><div style="word-break: break-word;"><?php echo $mail; ?></div><?php endif; ?>
									</div>
								</div>
							</div>
							<?php
							$favorilerim = $begendiklerim = $yorumlar = $abonelik =  $ayarlar = $main = '';$icerik = '';$iceriklerim = '';
							switch ($action2) {
								case 'favoriler':
									$favorilerim = 'is-active';
								break;
								case 'begeniler':
									$begendiklerim = 'is-active';
								break;
								case 'yorumlar':
									$yorumlar = 'is-active';
								break;
								case 'abonelik':
									$abonelik = 'is-active';
								break;
								case 'ayarlar':
									$ayarlar = 'is-active';
								break;
								case 'iceriklerim':
									$iceriklerim = 'is-active';
								break;
								case 'icerik-ekle':
									$icerik = 'is-active';
								break;
								default:
									$main = 'is-active';
							}
							?>
							<div class="kanews-panel-nav">
								<ul>
									<li class="bks1"><?php esc_html_e( 'Genel', 'kanews' ); ?></li>
									<li class="<?php echo $main;?>"><a href="<?php the_permalink(); ?>"><i class="icon-grid"></i>  <?php esc_html_e( 'Pano', 'kanews' ); ?></a></li>
									<?php if ( class_exists( 'WooCommerce') && kanews_get_option('subscription-system') == true ) ?>
									<li class="<?php echo $abonelik;?>"><a href="<?php the_permalink(); ?>?islem=abonelik"><i class="icon-bolt"></i>  <?php esc_html_e( 'Abonelik', 'kanews' ); ?></a></li>
									<?php if(kanews_get_option('post-like') == true) ?>
									<li class="<?php echo $begendiklerim;?>"><a href="<?php the_permalink(); ?>?islem=begeniler"><i class="icon-like-o"></i>  <?php esc_html_e( 'Beğendiklerim', 'kanews' ); ?></a></li>
									<?php if(kanews_get_option('post-bookmark') == true)?>
									<li class="<?php echo $favorilerim;?>"><a href="<?php the_permalink(); ?>?islem=favoriler"><i class="icon-bookmark-o"></i>  <?php esc_html_e( 'Favorilerim', 'kanews' ); ?></a></li>
									<li class="<?php echo $yorumlar;?>"><a href="<?php the_permalink(); ?>?islem=yorumlar"><i class="icon-comment"></i> <?php esc_html_e( 'Yorumlarım', 'kanews' ); ?></a></li>
									<li class="<?php echo $iceriklerim;?>"><a href="<?php the_permalink(); ?>?islem=iceriklerim"><i class="icon-article"></i> <?php esc_html_e( 'İçeriklerim', 'kanews' ); ?></a></li>
									<li class="<?php echo $icerik;?>"><a href="<?php the_permalink(); ?>?islem=icerik-ekle"><i class="icon-edit"></i> <?php esc_html_e( 'İçerik Ekle', 'kanews' ); ?></a></li>
									
									<li class="bks1"><?php esc_html_e( 'Hesap', 'kanews' ); ?></li>
									<li class="<?php echo $ayarlar;?>"><a href="<?php the_permalink(); ?>?islem=ayarlar"><i class="icon-settings"></i>  <?php esc_html_e( 'Hesap Ayarları', 'kanews' ); ?></a></li>
									<li><a style="cursor:pointer" data-toggle="kanews-upload-user-avatar"><i class="icon-gallery"></i>  <?php esc_html_e( 'Profil Fotoğrafı Yükle', 'kanews' ); ?></a></li>
									<li><a href="<?php echo wp_logout_url( home_url( add_query_arg( [], $GLOBALS['wp']->request ) ) ); ?>"><i class="icon-logout"></i>  <?php esc_html_e( 'Çıkış Yap', 'kanews' ); ?></a></li>
								</ul>
							</div>
						</div>
					</div>

					<div class="col-12 col-md-8">
							
						<div class="kanews-custom-page">
				
							<?php switch($action2) {
								case 'abonelik': 
									get_template_part( 'inc/dashboard/dashboard', 'subscription');

								break;
								case 'favoriler':
									get_template_part( 'inc/dashboard/dashboard', 'bookmark');
									break;
								case 'begeniler':
									get_template_part( 'inc/dashboard/dashboard', 'like');
								break;
								case 'yorumlar':
									get_template_part( 'inc/dashboard/dashboard', 'comments');
								break;
								case 'iceriklerim':
									get_template_part( 'inc/dashboard/dashboard', 'posts');
								break;
								case 'ayarlar':
									get_template_part( 'inc/dashboard/dashboard', 'settings');
								break;
								case 'icerik-ekle': if(kanews_get_option('post-submit') == true): ?>
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/ui/trumbowyg.min.css" integrity="sha512-iw/TO6rC/bRmSOiXlanoUCVdNrnJBCOufp2s3vhTPyP1Z0CtTSBNbEd5wIo8VJanpONGJSyPOZ5ZRjZ/ojmc7g==" crossorigin="anonymous" />


<h2 class="kanews-custom-page-title"><?php esc_html_e( 'İçerik Ekle', 'kanews' ); ?></h2>
<p class="mb-3"><?php echo kanews_translate('kanews-add-post-text', esc_html_e( 'Paylaştığınız içerik editörümüz tarafından incelendikten sonra uygun görüldüğü taktirde yayınlanacaktır.', 'kanews' )); ?></p>

<form action="<?php the_permalink(); ?>?islem=icerik-ekle" method="post" enctype="multipart/form-data">
  <?php echo $error; ?>
  <div class="row">

    <div class="col-12">
      <div class="kanews-form">      
        <input type="text" id="post_title" name="post_title" value="" required autofocus>
        <span class="highlight"></span>
        <span class="bar"></span>
        <label><?php _e('Başlık', 'kanews'); ?></label>
      </div>
		</div>

    <div class="col-12">
      <div class="kanews-form">      
        <textarea type="text" id="post_excerpt" name="post_excerpt"></textarea>
        <span class="highlight"></span>
        <span class="bar"></span>
        <label><?php _e('Açıklama', 'kanews'); ?></label>
      </div>
		</div>

		<div class="col-12">
      <div class="kanews-form">      
        <input type="text" id="post_tags" name="post_tags" value="">
      </div>
    </div>

		<div class="col-12 mb-1">
      <div class="kanews-form">
			<?php wp_dropdown_categories( 'show_option_none='.__('Kategori Seç', 'geo').'&tab_index=4&taxonomy=category' ); ?>
			</div>
		</div>
    
  </div>

  <div id="kanews-add-posts"></div>

  <div class="row">
    <div class="col-12 mt-1">
      <input type="file" name="featured" id="featured" accept="image/*" class="kanews-input-file"><label for="featured" class="kanews-input-file-path"><?php esc_html_e( 'Öne Çıkarılan Görsel Ekle', 'kanews' ); ?></label></input>
    </div>
    <div class="col-12">
    <button class="kanews-btn kanews-btn-block" name="post-submit" type="submit"><?php esc_html_e( 'Yayınla', 'kanews' ); ?> <div id="kanews-loader"></div></button>
    </div>
  </div>
</form>

<script src="//ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
<script>window.jQuery || document.write('<script src="js/vendor/jquery-3.3.1.min.js"><\/script>')</script>

<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/trumbowyg.min.js" integrity="sha512-sffB9/tXFFTwradcJHhojkhmrCj0hWeaz8M05Aaap5/vlYBfLx5Y7woKi6y0NrqVNgben6OIANTGGlojPTQGEw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/allowtagsfrompaste/trumbowyg.allowtagsfrompaste.min.js" integrity="sha512-Zuq+wA/YLqIGzMTTwdEx7amSDq7QKEcygLO4S8w1MeUytDQAGGZza/kZxCfwp0QiPdGHQHxl/bYGxmoy1MwdDA==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/pasteembed/trumbowyg.pasteembed.min.js" integrity="sha512-ohvYykyFxLPtZFP8ajHcVac+Yoer70PfcCb5f25hIyO5GfU/6GIxHZdEw+4qqYCs/VCNlFWCp7MvkWZxGaUMww==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/langs/tr.min.js" integrity="sha512-+HGzdrYvtA0U9cp5kJad8OpjTvUi6ywZ9z9kXFGiV3EaAR1II5X6lfulUm6/F9GKesHW+jHFfAqwXK0juybvMw==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/Trumbowyg/2.23.0/plugins/history/trumbowyg.history.min.js" integrity="sha512-hvFEVvJ24BqT/WkRrbXdgbyvzMngskW3ROm8NB7sxJH6P4AEN77UexzW3Re5CigIAn2RZr8M6vQloD/JHtwB9A==" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-tagsinput/1.3.6/jquery.tagsinput.min.js" integrity="sha512-wTIaZJCW/mkalkyQnuSiBodnM5SRT8tXJ3LkIUA/3vBJ01vWe5Ene7Fynicupjt4xqxZKXA97VgNBHvIf5WTvg==" crossorigin="anonymous"></script>
<!-- <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/jquery-tagsinput/1.3.6/jquery.tagsinput.min.css" integrity="sha512-uKwYJOyykD83YchxJbUxxbn8UcKAQBu+1hcLDRKZ9VtWfpMb1iYfJ74/UIjXQXWASwSzulZEC1SFGj+cslZh7Q==" crossorigin="anonymous" /> -->
<script>
	$('#post_tags').tagsInput({
		'defaultText': 'Etiket Girin'
	});
$('#kanews-add-posts').trumbowyg({
    lang: 'tr',
    
    plugins: {
        allowTagsFromPaste: {
            allowedTags: ['h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'p', 'br', 'hr', 'strong', 'b', 'img']
        }
    },
    changeActiveDropdownIcon: true,
    btns: [
        ['viewHTML'],
        ['formatting'],
        ['strong', 'em', 'del'],
        ['historyUndo','historyRedo'],
        ['link'],
        ['insertImage'],
        ['justifyLeft', 'justifyCenter', 'justifyRight'],
        ['unorderedList', 'orderedList'],
        ['horizontalRule'],
        ['removeformat'],
        // ['fullscreen']
    ]
});
// Span
var span = document.getElementsByClassName('kanews-input-file-path');
// Button
var uploader = document.getElementsByName('featured');
// On change
for( item in uploader ) {
  // Detect changes
  uploader[item].onchange = function() {
    // Echo filename in span
    span[0].innerHTML = '<i class="color-success">✓</i> '+this.files[0].name;
  }
}
</script>
								<?php else: echo esc_html_e( 'Bu sayfa geçici olarak devre dışı bırakılmıştır.', 'kanews' ); endif; break;
								default: ?>
									<div class="kanews-custom-page-content">
										<h2 class="kanews-custom-page-title"><?php echo sprintf(esc_html__( 'Merhaba, %s', 'kanews' ),
											'<a href="'.get_author_posts_url( get_the_author_meta( 'ID', $current_user->ID ) ).'">'.get_the_author_meta('display_name', $current_user->ID).'</a>'
										); ?></h2>
										<p><?php echo kanews_translate('account-text', esc_html__('Hesap panonuz sayfasında kaydettiğiniz haberlere, yaptığınız yorumlara ulaşabilir ve şifreniz ile hesap ayrıntılarınızı düzenleyebilirsiniz.', 'kanews')); ?></p>

										<div class="row">

											<div class="col-12 col-md-4">
												<a href="<?php the_permalink();?>?islem=favoriler" class="kanews-iconbox">
													<div class="kanews-iconbox-icon"><i class="icon-bookmark"></i></div>
													<h4 class="kanews-iconbox-title"><?php esc_html_e( 'Favorilerim', 'kanews' ); ?></h4>
													<div class="kanews-iconbox-count"><?php echo get_user_bookmark_count($current_user->ID); ?></div>
												</a>
											</div>
											<div class="col-12 col-md-4">
												<a href="<?php the_permalink();?>?islem=begeniler" class="kanews-iconbox">
													<div class="kanews-iconbox-icon"><i class="icon-like"></i></div>
													<h4 class="kanews-iconbox-title"><?php esc_html_e( 'Beğendiklerim', 'kanews' ); ?></h4>
													<div class="kanews-iconbox-count"><?php echo get_user_option('_user_like_count', $current_user->ID) ? get_user_option('_user_like_count', $current_user->ID) : '0'; ?></div>
												</a>
											</div>
											<div class="col-12 col-md-4">
												<a href="<?php the_permalink();?>?islem=yorumlar" class="kanews-iconbox">
													<div class="kanews-iconbox-icon"><i class="icon-comment"></i></div>
													<h4 class="kanews-iconbox-title"><?php esc_html_e( 'Yorumlarım', 'kanews' ); ?></h4>
													<div class="kanews-iconbox-count"><?php echo kanews_get_comments_count_by_user($current_user->ID); ?></div>
												</a>
											</div>
										</div>
									</div>
								<?php break;
							} ?>

						</div>
					</div>

				</div>
			</div>
		</main>

		<div id="kanews-upload-user-avatar" class="kanews-modal">
			<div data-toggle="kanews-upload-user-avatar" class="kanews-modal-close"></div>
			<div class="kanews-modal-content">
				<div class="kanews-modal-title"><?php esc_html_e( 'Profil Fotoğrafı Yükle', 'kanews' ); ?></div>
				<div data-toggle="kanews-upload-user-avatar" class="kanews-modal-close-btn"><i class="icon-close"></i></div>
				<div class="kanews-modal-content-inner">
					<form method="post" id="your-profile" action="<?php the_permalink(); ?>" enctype="multipart/form-data">
						<?php $false = 'off'; do_action('edit_user_profile',$current_user, $false); ?>
						<input name="updateuser" type="submit" id="updateuser" class="kanews-btn kanews-btn-block" value="<?php _e('Yükle', 'kanews'); ?>" />
						<?php wp_nonce_field( 'update-user_'. $current_user->ID ); ?>
						<input name="action" type="hidden" id="action" value="update-user" />
					</form>
				</div>
			</div>
		</div>
	<?php else: ?>

		<div class="container" style="padding: 0 7.5px;">
			<div class="row">
				<div class="col-12 mobile-col">
					<div class="kanews-lr-page d-flex flex-wrap">
						<div class="kanews-lr-page-left col-12 col-lg-4 hidden-mobile"></div>
						<div class="kanews-lr-page-right col-12 col-lg-8">
							<div class="kanews-lr-page-inner d-flex flex-column">
								<?php switch($action2) {
									case 'kayit': ?>
										<div class="mb-2">
											<h1 class="kanews-page-title"><?php esc_html_e( 'Hesap Oluştur', 'kanews' ); ?></h1>
											<p><?php echo kanews_translate('login-description', sprintf( esc_html__('%s ayrıcalıklarından yararlanmak için hemen giriş yapın veya hesap oluşturun, üstelik tamamen ücretsiz!', 'kanews' ), get_bloginfo( 'name' ))); ?></p>
										</div>
										<?php if ( get_option( 'users_can_register' ) ): ?>
										<form id="kanews-register-form">
											<div class="kanews-form">
												<input type="text" name="username" value="" autofocus autocomplete="username" required>
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i class="icon-user"></i> <?php _e('Kullanıcı adı', 'kanews'); ?></label>
											</div>
											<div class="kanews-form">
												<input type="text" name="email" value="" autocomplete="email" required>
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i>@</i> <?php _e('E-Posta', 'kanews'); ?></label>
											</div>
											<div class="row">
												<div class="col-12 col-md-6">
													<div class="kanews-form">
														<input type="password" name="password" value="" autocomplete="new-password" required>
														<span class="highlight"></span>
														<span class="bar"></span>
														<label><i class="icon-vpn_key"></i> <?php _e('Şifreniz', 'kanews'); ?></label>
													</div>
												</div>
												<div class="col-12 col-md-6">
													<div class="kanews-form">
														<input type="password" name="password2" value=""  autocomplete="new-password" required>
														<span class="highlight"></span>
														<span class="bar"></span>
														<label><i class="icon-vpn_key"></i> <?php _e('Şifrenizi Tekrarlayın', 'kanews'); ?></label>
													</div>
												</div>
											</div>
											<?php if(kanews_get_option('privacy-policy-page') != ''): ?>
												<div class="d-flex">
													<div class="kanews-form">
														<input name="privacy" type="checkbox" id="privacy" value="1" required>
													</div>
													<label style="margin-bottom: 0;margin-top: 3.5px;" for="privacy" class="clear-label"><?php echo '<a target="_blank" style="text-decoration:underline" href="'.get_page_link(kanews_get_option('ks-page')).'">'.esc_html__( 'Kullanım Koşulları\'nı', 'kanews' ).'</a> '; _e( 'okudum ve onaylıyorum.', 'kanews' ); ?></label>
												</div>
											<?php endif; ?>
								
											<button class="kanews-btn kanews-btn-block" type="submit"><?php esc_html_e( 'Kayıt Ol', 'kanews' ); ?><div id="kanews-loader"></div></button>
										
											<?php wp_nonce_field( 'register_action', 'register_field' ); ?>
										</form>
											<?php else: ?>
											<?php esc_html_e( 'Bu siteye kayıtlar kapalıdır.', 'kanews' ); ?>
										<?php endif; ?>
										<div class="d-flex justify-content-between align-items-center">
											<div class="hidden-mobile"><?php echo kanews_translate('login-text', esc_html__( 'Zaten hesabınız var mı? O zaman giriş yapın.', 'kanews' )); ?></div>
											<a href="<?php the_permalink(); ?>" class="kanews-btn kanews-btn-sm kanews-btn-light m-0"><?php esc_html_e( 'Giriş Yap', 'kanews' ); ?></a>
										</div>
										<?php break;
									default: ?>
										<div class="mb-2">
											<h1 class="kanews-page-title"><?php esc_html_e( 'Giriş Yap', 'kanews' ); ?></h1>
											<p><?php echo kanews_translate('login-description', sprintf( esc_html__('%s ayrıcalıklarından yararlanmak için hemen giriş yapın veya hesap oluşturun, üstelik tamamen ücretsiz!', 'kanews' ), get_bloginfo( 'name' ))); ?></p>
										</div>
										<form id="kanews-login-form">
											<div class="kanews-form">      
												<input autofocus type="text" id="username" name="username" value="">
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i class="icon-user"></i> <?php _e('Kullanıcı adı veya e-posta', 'kanews'); ?></label>
											</div>
											<div class="kanews-form">      
												<input type="password" id="password" name="password" value="">
												<span class="highlight"></span>
												<span class="bar"></span>
												<label><i class="icon-vpn_key"></i> <?php _e('Şifreniz', 'kanews'); ?></label>
											</div>
											<div class="d-flex justify-content-between">
												<div class="d-flex">
													<div class="kanews-form">
														<input name="rememberme" type="checkbox" id="rememberme" value="1">
													</div>
													<label for="rememberme" style="margin-bottom: 0;margin-top: 3px;"><?php esc_html_e( ' Beni hatırla', 'kanews' ); ?></label>
												</div>
												<div><a href="<?php echo wp_lostpassword_url(home_url( add_query_arg( [], $GLOBALS['wp']->request ) )); ?>"><?php esc_html_e( 'Şifremi Unuttum', 'kanews' ); ?></a></div>
											</div>
											<button class="kanews-btn kanews-btn-block" type="submit"><?php esc_html_e( 'Giriş Yap', 'kanews' ); ?> <div id="kanews-loader"></div></button>
											<?php wp_nonce_field( 'login_action', 'login_field' ); ?>
										</form>
										<?php if ( get_option( 'users_can_register' ) ): ?>
											<div class="d-flex justify-content-between align-items-center">
												<div class="hidden-mobile"><?php echo kanews_translate('register-text', esc_html__( 'Tamamen ücretsiz olarak üyeliğinizi başlatın.', 'kanews' )); ?></div>
												<a href="<?php the_permalink(); ?>?islem=kayit" class="kanews-btn kanews-btn-sm kanews-btn-light m-0"><?php esc_html_e( 'Hesap Oluştur', 'kanews' ); ?></a>
											</div>
										<?php endif; 
									break;
								} ?>
							</div>
						</div>
					</div>
				</div>
			</div>
		</div>

	<?php endif; ?>
<?php endwhile; endif; ?>
<?php get_footer();