<?php
/**
 * Template Name: Döviz Kurları
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Altın', 'kanews' );
get_header(); ?>
  <?php while ( have_posts() ) : the_post(); ?>
    <?php kanews_page_header($post->ID); ?>
  <?php endwhile; ?>
  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">
        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>

          <div class="col-12 col-lg-8 mb-1">
            <div class="kanews-section">
              <?php echo kanews_widget_title(esc_html__( 'Popüler Pariteler', 'kanews' )); ?>
              <table class="kanews-table table-currencies">
                <thead>
                  <tr>
                    <th><span class="nobr"><?php esc_html_e( 'Döviz', 'kanews' ); ?></span></th>
                    <th><span class="nobr"><?php esc_html_e( 'Alış', 'kanews' ); ?></span></th>
                    <th><span class="nobr"><?php esc_html_e( 'Satış', 'kanews' ); ?></span></th>
                    <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'En Düşük', 'kanews' ); ?></span></th>
                    <th class="hidden-mobile"><span class="nobr"><?php esc_html_e( 'En Yüksek', 'kanews' ); ?></span></th>
                  </tr>
                </thead>
                <tbody>
                  <?php

                  $args = array(
                    'timeout' => '20',
                    'sslverify' => false
                  );
                  $response = wp_remote_get(KAN_TEMPLATE_URL."/inc/api/currencies/currencies.json", $args);
                  $body = wp_remote_retrieve_body( $response );
                  $data = json_decode($body);
                  
                  if($response['response']['code'] == '404') {
                    $ch = curl_init();
                    curl_setopt($ch, CURLOPT_URL, "http://api.bigpara.hurriyet.com.tr/doviz/headerlist/anasayfa");
                    curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                    curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
                    curl_setopt($ch, CURLOPT_SSL_VERIFYHOST, false);
                    curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
                    curl_setopt($ch, CURLOPT_TIMEOUT, 30);
                    curl_setopt($ch, CURLOPT_REFERER,'http://www.google.com.tr'); 
                    curl_setopt($ch, CURLOPT_USERAGENT, 'Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.1) Gecko/20061204 Firefox/2.0.0.1'); 
                    
                    $headers = array();
                    $headers[] = "Content-Type: application/json";
                    curl_setopt($ch, CURLOPT_HTTPHEADER, $headers);
                    
                    $result = curl_exec($ch);
                    if (curl_errno($ch)) {
                      $data = array();
                    }
                    curl_close ($ch);
                    $data = json_decode($result);
                  }
                  
                  if(!empty($data)) {
                    foreach($data->data as $currency) {
                      // print_r($currency);
                      if($currency->SEMBOL != 'TAHVIL' && $currency->SEMBOL != 'XU100' && $currency->SEMBOL != 'BRENT' && $currency->SEMBOL != 'GLDGR') {
                        $change =  $currency->YUZDEDEGISIM;
                        if ($change < 0) {
                          $class = 'color-danger';
                          $icon = '<i class="icon-caret icon-180deg icon-2x"></i>';
                        } else {
                          $class = 'color-success';
                          $icon = '<i class="icon-caret icon-2x"></i>';
                        }
                        echo '<tr>';
                          $sembol = str_split($currency->SEMBOL);
                          echo '<td>'.$sembol[0].$sembol[1].$sembol[2].'/'.$sembol[3].$sembol[4].$sembol[5].'</td>';
                          echo '<td class="'.$class.'">'.$currency->ALIS.'</td>';
                          echo '<td class="'.$class.'">'.$currency->SATIS.' <span>'.$icon.' %'.$change.'</span></td>';
                          echo '<td class="'.$class.' hidden-mobile">'.$currency->DUSUK.'</td>';
                          echo '<td class="'.$class.' hidden-mobile">'.$currency->YUKSEK.'</td>';
                          // echo '<td class="hidden-mobile">'.$currency->KAPANIS.'</td>';
                        echo '</tr>';
                      }
                    }
                  } else {
                    echo '<tr><td>'.esc_html__( ('Veri alınamadı'), 'kanews' ).'</td></tr>';
                  }
                  ?>
                </tbody>
              </table>
            </div>
           
          </div>

          


          <div class="col-12">
          
            <div class="kanews-section kanews-section-flat">
              <?php echo kanews_widget_title(esc_html__( 'İlginizi Çekebilir', 'kanews' )); ?>
              <?php 
              $kanews_query = new WP_Query(
                array( 
                  'showposts' => 8,
                  'cat' => get_post_meta(get_queried_object_id(), 'custom_page_related', true),
                  'orderby'   => 'rand',
                )
              );
              
              if ($kanews_query->have_posts()) : ?>
                <div class="row">
                  <?php while($kanews_query->have_posts()): $kanews_query->the_post(); global $post; ?>
                    <div class="col-6 col-lg-3">
                      <div class="kanews-post-item kanews-post-grid-item">
                        <a href="<?php the_permalink(); ?>" class="kanews-post-href"></a>
                        <?php do_action('kanews_post_hook'); ?>
                        <?php kanews_post_thumbnail('kanews-post-3', 'kanews-post-thumb'); ?>
                        <div class="kanews-post-content">
                          <?php the_title( sprintf( '<h3 class="kanews-post-headline truncate truncate-3"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' ); ?>
                        </div>
                      </div>
                    </div>
                  <?php endwhile; ?>
                </div>
              <?php endif; ?>
            </div>

          </div>

    
          <?php while ( have_posts() ) : the_post(); 
            if ($post->post_content): ?>
              <div class="col-12">
                <div class="kanews-article kanews-section-box kanews-article-1">
                  <div class="kanews-article-content entry-content">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>
            <?php if ( comments_open() || get_comments_number() ) : ?>
              
              <div class="col-12">
                <?php comments_template(); ?>
              </div>
            <?php endif;?> 
          <?php endwhile; ?>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>

      </div>
    </div>
  </main>
<?php get_footer();
