<?php
/**
 * Template Name: Gazete Manşetleri
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Gazete Manşetleri', 'kanews' );
$day = date("n");
if($day < 10)
$day = '0'.$day;
$gazetetarih = date("d".$day."y");
setlocale(LC_TIME, 'tr_TR.UTF-8');
$today = strftime('%e %B %Y, %A');
$newspapers = [
  'yeni-safak' => 'Yeni Şafak',
  // 'fanatik' => 'Fanatik',
  'fotomac' => 'Fotomaç',
  'milliyet' => 'Milliyet',
  'sozcu' => 'Sözcü',
  'takvim-gazetesi' => 'Takvim',
  'hurriyet' => 'Hürriyet',
  'sabah' => 'Sabah',
  'milli-gazete' => 'Milli',
  'yenicag' => 'Yeni Çağ',
  'milat' => 'Milat',
  'turkiye' => 'Türkiye',
  'turkgun' => 'Türkgün',
  'dunya' => 'Dünya',
  'sabah' => 'Sabah',
  'yenisoz' => 'Yenisöz',
  'harbi-gazete' => 'Harbi Gazete',
  'dogru-haber' => 'Doğru Haber',
  'yeni-birlik' => 'Yeni Birlik',
];
$read = isset($_GET['gazete']) ? $_GET['gazete'] : NULL;
$title = $new_title = '';
if($read != NULL && $newspapers[$read] != '') {
  $title = $newspapers[$read].' Gazetesi '.$today.' Günü Manşeti';
  $new_title = ucwords($title).' - '.get_bloginfo('name');
}
function generate_custom_title($title) {
  global $new_title;
  if($new_title)
  $title = $new_title;
  return $title;  
}
add_filter( 'pre_get_document_title', 'generate_custom_title', 10 );
add_filter( 'wpseo_title', 'generate_custom_title', 15 );
get_header(); ?>
  <?php while ( have_posts() ) : the_post();
    kanews_page_header($post->ID, $title);
  endwhile; ?>

  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">
        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <div class="col-12 col-md-3 col-lg-2 kanews-sticky">
            <div class="kanews-section widget widget_pages">
              <?php echo kanews_widget_title(esc_html__( 'Gazeteler', 'kanews' )); ?>
            <ul>
              <li class="page_item current_page_item"><a href="<?php the_permalink(); ?>"><?php _e('Hepsi', 'kanews'); ?></a></li>
              <?php foreach($newspapers as $key => $newspaper) {
                
                if($key == $read)
                echo '<li class="page_item current_page_item"><a href="'.get_the_permalink().'?gazete='.$key.'">'.$newspaper.'</a></li>';
                else
                echo '<li class="page_item"><a href="'.get_the_permalink().'?gazete='.$key.'">'.$newspaper.'</a></li>';
        
              }?>
            </ul>
            </div>
          </div>
          
          <div class="col-12 col-md-9 col-lg-10">
          <div class="row">
          <?php foreach($newspapers as $value => $newspaper):  ?>
            
            <?php if($read != NULL) :?>
              <?php if($read == $value): $gazete = 'https://i13.haber7.net/haber7/gazete/'.$read.'/big_'.$gazetetarih.'_0800.jpg?v='.$gazetetarih.'_0800'; ?>
                <?php if(@getimagesize($gazete)): ?>
                  <a rel="external noopener" href="<?php echo $gazete; ?>"><img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="<?php echo $gazete; ?>" /></a>
                <?php else: ?>
                  <a href="#"><img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="https://dummyimage.com/1185x500/1d1f26/555555&text=Baskı Bekleniyor" /></a>
                <?php endif; ?>
                <?php break; endif; ?>
            <?php else: ?>
              <div class="col-6 col-md-4 col-lg-2">
                <div class="kanews-section">
                  <?php echo kanews_widget_title($newspaper); ?>
                  <?php $small_gazete = 'https://i2.haber7.net/haber7/gazete/'.$value.'/small_'.$gazetetarih.'_0800.jpg?v='.$gazetetarih.'_0800'; ?>
                  <?php if(@getimagesize($small_gazete)): ?>
                    <a rel="external noopener" href="<?php the_permalink(); ?>?gazete=<?php echo $value; ?>"><img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="<?php echo $small_gazete; ?>" /></a>
                  <?php else: ?>
                    <a href="#"><img class="kanews-lazy" src="<?php echo kanews_lazy_link(); ?>" data-src="https://dummyimage.com/183x285/1d1f26/555555&text=Baskı Bekleniyor" /></a>
                  <?php endif; ?>
                  
                </div>
              </div>
            <?php endif; ?>
          <?php endforeach; ?>

          <?php while ( have_posts() ) : the_post(); 
            if ($post->post_content): ?>
              <div class="col-12">
                <div class="kanews-article kanews-section-box kanews-article-1">
                  <div class="kanews-article-content entry-content">
                    <?php the_content(); ?>
                  </div>
                </div>
              </div>
            <?php endif; ?>
            <?php if ( comments_open() || get_comments_number() ) : ?>
              <div class="col-12">
                <?php comments_template(); ?>
              </div>
            <?php endif;?> 
          <?php endwhile; ?>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>

      </div>
      </div>
    </div>
  </main>
<?php get_footer();