<?php
/**
 * Template Name: Puan Durumu
 * @theme kanews
 * @developer kanthemes.com
 */
__( 'Puan Durumu', 'kanews' );
$lig = isset($_GET['lig']) ? $_GET['lig'] : 'spor-toto-super-lig';
$lig_title = str_replace("-", " ", $lig);
$new_title = ucwords($lig_title).' Puan Durumu - '.get_bloginfo("name");
function generate_custom_title($title) {
  global $new_title;
  $title = $new_title;
  return $title;  
}

add_filter( 'pre_get_document_title', 'generate_custom_title', 10 );
add_filter( 'wpseo_title', 'generate_custom_title', 15 );
get_header(); ?>
  <?php while ( have_posts() ) : the_post(); ?>
    <?php kanews_page_header($post->ID, ucwords($lig_title).' Puan Durumu'); ?>
  <?php endwhile; ?>

  <?php do_action('kanews_header_ad'); ?>
  <main id="main" class="site-main">
    <div class="container">
      <div class="row">

        <?php $insights = get_post_meta( get_the_ID(), 'post_insight', true ) == 1 ? 1 : 0; if(kanews_insights_control() == true || $insights == 0 ): ?>
          <div class="col-12">
            <?php 
            $api  =  new SuperLigStandings();
            $simpleStandings  =  $api->getStandings($lig);
            $active = ''; $active2 = ''; $active3 = ''; $active4 = ''; $active5 = ''; $active6 = ''; $active7 = '';
            switch($lig) {
              case 'spor-toto-super-lig':
               $active = 'active';
              break;
              case 'almanya-bundesliga':
               $active2 = 'active';
              break;
              case 'ingiltere-premier-ligi':
               $active3 = 'active';
              break;
              case 'italya-serie-a':
               $active4 = 'active';
              break;
              case 'fransa-ligue-1':
               $active5 = 'active';
              break;
              case 'ispanya-la-liga':
               $active6 = 'active';
              break;
              case 'ptt-1-lig':
               $active7 = 'active';
              break;
            }
            ?>

            <div class="kanews-section kanews_widget_posts_6">
            <div class="kanews-tab">
              <ul class="nav nav-tabs d-flex flex-wrap p-0 mb-0">
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=spor-toto-super-lig" class="nav-link <?php echo $active; ?>"><?php _e('Süper Lig', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=almanya-bundesliga" class="nav-link <?php echo $active2; ?>"><?php _e('Bundesliga', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ingiltere-premier-ligi" class="nav-link <?php echo $active3; ?>"><?php _e('Premier Lig', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=italya-serie-a" class="nav-link <?php echo $active4; ?>"><?php _e('Serie A', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=fransa-ligue-1" class="nav-link <?php echo $active5; ?>"><?php _e('Ligue 1', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ispanya-la-liga" class="nav-link <?php echo $active6; ?>"><?php _e('La Liga', 'kanews'); ?></a></li>
                <li class="nav-item"><a href="<?php the_permalink(); ?>?lig=ptt-1-lig" class="nav-link <?php echo $active7; ?>"><?php _e('PTT 1. Lig', 'kanews'); ?></a></li>
              </ul>
            </div>
            <div class="tab-content">
              <div class="tab-pane fade show active">
                <div class="kanews-table-2 kanews-table-standing">
                  <div class="kanews-table-heading d-flex align-items-center">
                    <div class="kanews-table-item w-40">#</div>
                    <div class="kanews-table-item col"><?php esc_html_e( 'Takım Adı', 'kanews' ); ?></div>
                    <div class="kanews-table-item w-40">O</div>
                    <div class="kanews-table-item w-40">G</div>
                    <div class="kanews-table-item w-40">B</div>
                    <div class="kanews-table-item w-40">M</div>
                    <div class="kanews-table-item w-40">AV</div>
                    <div class="kanews-table-item w-40">P</div>
                    <div class="kanews-table-item col-auto hidden-mobile">Son 6 Karşılaşma</div>
                  </div>
                  <div class="kanews-table-content d-flex flex-wrap no-gutters">
                    <?php 
  
                    foreach ($simpleStandings as $team) {
                      $delta = '';
                      if($team->delta <= -1)
                      $delta = '<em class="icon-caret icon-3x color-success"></em>';
                      elseif($team->delta >= 1)
                      $delta = '<em class="icon-caret icon-3x icon-180deg color-danger"></em>';
                      echo '<div class="kanews-table-wrap col-12 d-flex align-items-center">';
                        if($team->position_status)
                        echo '<div aria-label="'.$team->position_status.'" role="tooltip" data-microtip-position="right" class="kanews-table-item w-40">'. $team->position. '</div>';
                        else
                        echo '<div class="kanews-table-item w-40">'. $team->position. '</div>';
                        if($team->logo)
                        echo '<div class="kanews-table-item col"><img src="data:image/png;base64,iVBORw0KGgoAAAANSUhEUgAAABIAAAASCAQAAAD8x0bcAAAAFUlEQVR42mNcWs9AEDCOKhpVRG9FADA7FJtFxaXQAAAAAElFTkSuQmCC" class="kanews-lazy" data-src="'.$team->logo.'" width="18" height="18" alt="logo" /> <span class="hidden-mobile">'.$team->name.$delta. '</span><span class="hidden-desktop">'.$team->middleName.'</span></div>';
                        else
                        echo '<div class="kanews-table-item col"><span class="hidden-mobile">'.$team->name. '</span><span class="hidden-desktop">'.$team->middleName.'</span></div>';
                        echo '<div class="kanews-table-item w-40">'. $team->played . '</div>';
                        echo '<div class="kanews-table-item w-40 ">'.$team->won . '</div>';
                        echo '<div class="kanews-table-item w-40">'. $team->drawn. '</div>';
                        echo '<div class="kanews-table-item w-40 ">'. $team->lost . '</div>';
                        echo '<div class="kanews-table-item w-40">'. $team->average . '</div>';
                        echo '<div class="kanews-table-item w-40">'. $team->points . '</div>';
                        echo '<div class="kanews-table-item col-auto hidden-mobile">';
                          foreach($team->form as $game) {
                            if($game->statusType == 1)
                            echo '<span aria-label="Galibiyet" role="tooltip" data-microtip-position="top" class="form-status bg-success"><i>✓</i></span>';
                            elseif($game->statusType == -1)
                            echo '<span aria-label="Mağlubiyet" role="tooltip" data-microtip-position="top" class="form-status bg-danger"><i>✕</i></span>';
                            else
                            echo '<span aria-label="Beraberlik" role="tooltip" data-microtip-position="top" class="form-status bg-dark"><i>-</i></span>';
                          }
                      echo '</div>';
                      echo '</div>';
                    } ?>
                  </div>
                </div>

              </div>
            </div>
            </div>
          </div>
        <?php else: ?>
          <div class="col-12"><?php echo kanews_private_content('a'); ?></div>
        <?php endif; ?>
      </div>
    </div>
  </main>
<?php get_footer();