<?php
/**
 * Template Name: Abonelik Tanıtım
 * @url kanthemes.com
 */
__( 'Abonelik Tanıtım', 'kanews' );
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
get_header(); ?>
<div class="kanews-page-header kanews-page-header-special">
  <div class="container text-center">
    <h1 class="kanews-page-title"><?php esc_html_e( 'Planını Seç', 'kanews' ); ?></h1>
    <p class="kanews-page-subtitle"><?php esc_html_e( 'Reklamsız bir deneyim için, premium içeriklere erişebilmek için hemen planını seç ve bir abonelik başlat.', 'kanews' ); ?></p>
  </div>
</div>

<main id="main" class="site-main">
  <div class="container">
    <div class="row">

      <?php 
			if(class_exists( 'WooCommerce' )):
      $args = array( 
        'status' => 'publish', 
      );
      $products = wc_get_products($args); 
      $products  = wc_products_array_orderby( $products, 'price', 'ASC' ); ?>
      <?php foreach ( $products as $product ){
        if(get_post_meta ( $product->get_id() , 'kanews_insights' , true  ) != '0' && get_post_meta ( $product->get_id() , 'kanews_insights' , true  ) != '' && $product->get_price_html() ) {
        switch(get_post_meta ( $product->get_id() , 'kanews_insights' , true  )) {
          case 'weekly':
            $expired = esc_html__( '1 Haftalık', 'kanews' );
          break;
          case 'monthly':
            $expired = esc_html__( '1 Aylık', 'kanews' );
          break;
          case 'yearly':
            $expired = esc_html__( '1 Yıllık', 'kanews' );
          break;
          case 'forever':
            $expired = esc_html__( 'Ömür Boyu', 'kanews' );
          break;
        }
        ?>
        <div class="col-12 col-lg">
          <div class="kanews-panel kanews-pricing">
            <div class="kanews-panel-top">
              <div class="d-flex align-items-center flex-column justify-content-center">
                <div class="kanews-label kanews-label-sm"><?php echo $product->get_name(); ?></div>
                <div class="price"><?php echo $product->get_price_html(); ?></div>
                <div class="expired"><?php echo $expired; ?></div>
              </div>
            </div>
            <?php if($product->get_description() != '') :?>
              <div class="kanews-panel-nav">
                <?php echo $product->get_description(); ?>
              </div>
            <?php endif; ?>
            <div class="kanews-panel-footer">
            <a href="?add-to-cart=<?php echo $product->get_id(); ?>" data-quantity="1" class="kanews-btn kanews-btn-o kanews-btn-sm kanews-btn-block button product_type_simple add_to_cart_button ajax_add_to_cart" data-product_id="<?php echo $product->get_id(); ?>" rel="nofollow"><?php esc_html_e( 'Abone Ol', 'kanews' ); ?></a>
            </div>
          </div>
        </div>
      <?php }} ?>


      <?php if(kanews_get_option('subscription-faq') != ''): ?>
        <div class="col-12">
          <div id="accordion-faq" class="accordion">
            <h2 class="mb-1"><?php esc_html_e( 'Sıkça Sorulan Sorular', 'kanews' ); ?></h2>
            <?php $counter = 0; foreach(kanews_get_option('subscription-faq') as $faq): $counter++; ?>
              <div class="collapse-item">
                <div class="collapse-item-header" id="accordion-faq-<?php echo $counter; ?>">
                  <button class="collapsed collapse-btn" data-toggle="collapse" data-target="#accordion-faq-<?php echo $counter; ?>a" aria-expanded="true" aria-controls="accordion-faq-<?php echo $counter; ?>a">
                    <h3><?php echo $faq['title']; ?></h3>
                  </button>
                </div>
                <div id="accordion-faq-<?php echo $counter; ?>a" class="collapse" aria-labelledby="accordion-faq-<?php echo $counter; ?>" data-parent="#accordion-faq">
                  <div class="collapse-item-body">
                    <p><?php echo $faq['content']; ?></p>
                  </div>
                </div>
              </div>
            <?php endforeach; ?>
          </div>
        </div>
      <?php endif; ?>
      <?php endif; ?>
    </div>
  </div>
</main>
<?php get_footer();