<?php 
/**
* Header #2
*
* @since 1.0.0
**/
$skin = kanews_get_option('header-skin') ? 'header-skin-'.kanews_get_option('header-skin') : 'header-skin-dark';
?>
<div class="site-head site-head-1">
  <header id="header" class="site-header">
    <div class="site-header-wrapper <?php echo $skin; ?>">
      <?php if(kanews_get_option('subheader-position') == 'top'): ?>
        <?php get_template_part('template-parts/header/subheader'); ?>
      <?php endif; ?>

      <div class="site-header-top">
        <div class="container">
          <div class="row site-row justify-content-between align-items-center">

            <div class="col-auto">
              <div class="site-header-top-left d-flex align-items-center">
                <button class="site-mobil-menu-btn hidden-desktop" data-toggle="site-mobile-menu"><i class="icon-menu icon-4x"></i></button>
                <?php kanews_header_big_menu_btn(); ?>
                <?php kanews_logo(); ?>
              </div>
            </div>

            <?php if(kanews_get_option('header-center') != ''): ?>
                <div class="col hidden-mobile">
                  <div class="site-header-top-center">
                    <?php kanews_header_center_module(); ?>
                  </div>
                </div>
              <?php endif; ?>

            <div class="col-auto">
              <div class="site-header-top-right">
                <?php if(kanews_get_option('kanews-insights') == true && kanews_get_option('kanews-insights-button') == true && kanews_insights_control() == false): ?>
                  <a href="<?php echo kanews_insights_page_url(); ?>" class="header-btn hidden-mobile"><?php echo kanews_translate('kanews-insights-button-text', esc_html('Abone Ol', 'kanews')); ?></a>
                <?php endif; ?>
                <?php if(kanews_get_option('post-submit-button') == true && kanews_get_option('post-submit') == true): ?>
                  <a href="<?php echo kanews_account_page_url(); ?>?islem=icerik-ekle" class="header-btn bg-success hidden-mobile"><?php echo kanews_translate('post-submit-text', esc_html('İçerik Gönder', 'kanews')); ?></a>
                <?php endif; ?>
                <?php if(kanews_get_option('search-button') == true): ?>
                  <?php kanews_header_search_form('style2'); ?>
                <?php endif; ?>
                <?php kanews_header_action_btn(); ?>
                <?php kanews_header_user_btn(); ?>
              </div>
            </div>

          </div>
        </div>
      </div>
    </div>

    <?php kanews_header_big_menu(); ?>
  </header>

  <nav id="navbar" class="site-navbar hidden-mobile">
    <div class="container">
      <div class="navbar-row">
        <?php if(kanews_get_option('home-button') != false): ?>
          <div class="col-auto no-gutter">
            <ul class="site-navbar-nav">
              <li class="current-menu-item home-btn"><a href="<?php echo home_url( '/'); ?>"><i class="icon-home"></i></a></li>
            </ul>
          </div>
        <?php endif; ?>
        <?php if ( has_nav_menu( 'menu-1' ) ) :
          wp_nav_menu( array(
            'theme_location' => 'menu-1',
            'menu_class'     => 'site-navbar-nav',
            'depth'     		 => 4,
            'container'      => false,
          ));
        else: ?>
        <ul class="site-navbar-nav">
          <li class="current-menu-item"><a href="<?php echo admin_url( 'nav-menus.php' ); ?>"><?php esc_html_e( 'Menü Oluştur', 'kanews' ); ?></a></li>
        </ul>
        <?php endif; ?>
        <?php echo kanews_dark_mode_button(); ?>
      </div>
    </div>
  </nav>

  <?php if(kanews_get_option('subheader-position') == 'bottom'): ?>
    <?php get_template_part('template-parts/header/subheader'); ?>
  <?php endif; ?>

  <?php if(kanews_get_option('subnavbar-left-bn') == true): ?>
    <div class="extra-sub bn-bar hidden-mobile">
      <div class="site-subheader">
        <div class="container">
          <div class="row site-row align-items-center">
            <div class="col-12">
              <div class="site-subheader-left">
                <?php 
                  $cats     = (!empty(kanews_get_option('subnavbar-left-bn-cats'))) ? kanews_get_option('subnavbar-left-bn-cats') : 'all';
                  $excluded = (!empty(kanews_get_option('subnavbar-left-bn-post-not-in'))) ? kanews_get_option('subnavbar-left-bn-post-not-in') : '';
                  $count    = (!empty(kanews_get_option('subnavbar-left-bn-count'))) ? kanews_get_option('subnavbar-left-bn-count') : '5';
                  $sortby    = kanews_get_option('subnavbar-left-bn-sortby') == 'recent' ? 'DESC' : 'modified';
                  $title    = (!empty(kanews_get_option('breaking-new-text'))) ? kanews_get_option('breaking-new-text') : esc_html__( 'Son Gelişmeler', 'kanews' );
                  $query = new WP_Query(
                    array( 
                      'cat'          => $cats,
                      'showposts'    => $count,
                      'orderby'      => $sortby,
                      'post__not_in' => $excluded
                    )
                  );
                  ?>
                  <?php kanews_breaking_news_ticker($title, $query, true, true, $sortby ); 
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  <?php endif; ?>
</div>